/**
 * This file is part of Moodle - http://moodle.org/
 *
 * Moodle is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Moodle is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @package    block_course_statistics
 * @copyright  2023 onwards WIDE Services {@link https://www.wideservices.gr}
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */ !function(t){"function"==typeof define&&define.amd?define(["jquery","block_course_statistics/jquery.dataTables-lazy","block_course_statistics/dataTables.buttons-lazy"],function(e){return t(e,window,document)}):"object"==typeof exports?module.exports=function(e,o,l,n){return e||(e=window),o&&o.fn.dataTable||(o=require("datatables.net")(e,o).$),o.fn.dataTable.Buttons||require("datatables.net-buttons")(e,o),t(o,e,e.document,l,n)}:t(jQuery,window,document)}(function(t,e,o,l,n,r){"use strict";var a=t.fn.dataTable;function p(){return l||e.JSZip}function d(){return n||e.pdfMake}a.Buttons.pdfMake=function(t){if(!t)return d();n=m_ake},a.Buttons.jszip=function(t){if(!t)return p();l=t};var i=function(t){if(!(void 0===t||"undefined"!=typeof navigator&&/MSIE [1-9]\./.test(navigator.userAgent))){var e=t.document,o=function(){return t.URL||t.webkitURL||t},l=e.createElementNS("http://www.w3.org/1999/xhtml","a"),n="download"in l,a=function(t){var e=new MouseEvent("click");t.dispatchEvent(e)},p=/constructor/i.test(t.HTMLElement)||t.safari,d=/CriOS\/[\d]+/.test(navigator.userAgent),i=function(e){(t.setImmediate||t.setTimeout)(function(){throw e},0)},s=function(t){setTimeout(function(){"string"==typeof t?o().revokeObjectURL(t):t.remove()},4e4)},f=function(t,e,o){for(var l=(e=[].concat(e)).length;l--;){var n=t["on"+e[l]];if("function"==typeof n)try{n.call(t,o||t)}catch(r){i(r)}}},m=function(t){return/^\s*(?:text\/\S*|application\/xml|\S*\/\S*\+xml)\s*;.*charset\s*=\s*utf-8/i.test(t.type)?new Blob(["\uFEFF",t],{type:t.type}):t},_=function(e,i,_){_||(e=m(e));var y,c=this,u="application/octet-stream"===e.type,I=function(){f(c,"writestart progress write writeend".split(" "))};if(c.readyState=c.INIT,n){y=o().createObjectURL(e),setTimeout(function(){l.href=y,l.download=i,a(l),I(),s(y),c.readyState=c.DONE});return}!function(){if((d||u&&p)&&t.FileReader){var l=new FileReader;l.onloadend=function(){var e=d?l.result:l.result.replace(/^data:[^;]*;/,"data:attachment/file;");t.open(e,"_blank")||(t.location.href=e),e=r,c.readyState=c.DONE,I()},l.readAsDataURL(e),c.readyState=c.INIT;return}(y||(y=o().createObjectURL(e)),u)?t.location.href=y:t.open(y,"_blank")||(t.location.href=y),c.readyState=c.DONE,I(),s(y)}()},y=_.prototype,c=function(t,e,o){return new _(t,e||t.name||"download",o)};return"undefined"!=typeof navigator&&navigator.msSaveOrOpenBlob?function(t,e,o){return e=e||t.name||"download",o||(t=m(t)),navigator.msSaveOrOpenBlob(t,e)}:(y.abort=function(){},y.readyState=y.INIT=0,y.WRITING=1,y.DONE=2,y.error=y.onwritestart=y.onprogress=y.onwrite=y.onabort=y.onerror=y.onwriteend=null,c)}}("undefined"!=typeof self&&self||void 0!==e&&e||this.content);a.fileSave=i;var s=function(t){var e="Sheet1";return t.sheetName&&(e=t.sheetName.replace(/[\[\]\*\/\\\?\:]/g,"")),e},f=function(t){return t.newline?t.newline:navigator.userAgent.match(/Windows/)?"\r\n":"\n"},m=function(t,e){for(var o=f(e),l=t.buttons.exportData(e.exportOptions),n=e.fieldBoundary,a=e.fieldSeparator,p=RegExp(n,"g"),d=r!==e.escapeChar?e.escapeChar:"\\",i=function(t){for(var e="",o=0,l=t.length;o<l;o++)o>0&&(e+=a),e+=n?n+(""+t[o]).replace(p,d+n)+n:t[o];return e},s=e.header?i(l.header)+o:"",m=e.footer&&l.footer?o+i(l.footer):"",_=[],y=0,c=l.body.length;y<c;y++)_.push(i(l.body[y]));return{str:s+_.join(o)+m,rows:_.length}},_=function(){if(!(-1!==navigator.userAgent.indexOf("Safari")&&-1===navigator.userAgent.indexOf("Chrome")&&-1===navigator.userAgent.indexOf("Opera")))return!1;var t=navigator.userAgent.match(/AppleWebKit\/(\d+\.\d+)/);return!!t&&!!(t.length>1)&&!!(1*t[1]<603.1)};function y(t){for(var e="";t>=0;)e=String.fromCharCode(t%26+65)+e,t=Math.floor(t/26)-1;return e}try{var c,u=new XMLSerializer}catch(I){}function $(e,o,l){var n=e.createElement(o);return l&&(l.attr&&t(n).attr(l.attr),l.children&&t.each(l.children,function(t,e){n.appendChild(e)}),null!==l.text&&r!==l.text&&n.appendChild(e.createTextNode(l.text))),n}function F(t,e){var o,l,n,a=t.header[e].length;t.footer&&t.footer[e].length>a&&(a=t.footer[e].length);for(var p=0,d=t.body.length;p<d;p++){var i=t.body[p][e];if(-1!==(n=null!==i&&i!==r?i.toString():"").indexOf("\n")?((l=n.split("\n")).sort(function(t,e){return e.length-t.length}),o=l[0].length):o=n.length,o>a&&(a=o),a>40)return 54}return(a*=1.35)>6?a:6}var x={"_rels/.rels":'<?xml version="1.0" encoding="UTF-8" standalone="yes"?><Relationships xmlns="http://schemas.openxmlformats.org/package/2006/relationships"><Relationship Id="rId1" Type="http://schemas.openxmlformats.org/officeDocument/2006/relationships/officeDocument" Target="xl/workbook.xml"/></Relationships>',"xl/_rels/workbook.xml.rels":'<?xml version="1.0" encoding="UTF-8" standalone="yes"?><Relationships xmlns="http://schemas.openxmlformats.org/package/2006/relationships"><Relationship Id="rId1" Type="http://schemas.openxmlformats.org/officeDocument/2006/relationships/worksheet" Target="worksheets/sheet1.xml"/><Relationship Id="rId2" Type="http://schemas.openxmlformats.org/officeDocument/2006/relationships/styles" Target="styles.xml"/></Relationships>',"[Content_Types].xml":'<?xml version="1.0" encoding="UTF-8" standalone="yes"?><Types xmlns="http://schemas.openxmlformats.org/package/2006/content-types"><Default Extension="xml" ContentType="application/xml" /><Default Extension="rels" ContentType="application/vnd.openxmlformats-package.relationships+xml" /><Default Extension="jpeg" ContentType="image/jpeg" /><Override PartName="/xl/workbook.xml" ContentType="application/vnd.openxmlformats-officedocument.spreadsheetml.sheet.main+xml" /><Override PartName="/xl/worksheets/sheet1.xml" ContentType="application/vnd.openxmlformats-officedocument.spreadsheetml.worksheet+xml" /><Override PartName="/xl/styles.xml" ContentType="application/vnd.openxmlformats-officedocument.spreadsheetml.styles+xml" /></Types>',"xl/workbook.xml":'<?xml version="1.0" encoding="UTF-8" standalone="yes"?><workbook xmlns="http://schemas.openxmlformats.org/spreadsheetml/2006/main" xmlns:r="http://schemas.openxmlformats.org/officeDocument/2006/relationships"><fileVersion appName="xl" lastEdited="5" lowestEdited="5" rupBuild="24816"/><workbookPr showInkAnnotation="0" autoCompressPictures="0"/><bookViews><workbookView xWindow="0" yWindow="0" windowWidth="25600" windowHeight="19020" tabRatio="500"/></bookViews><sheets><sheet name="Sheet1" sheetId="1" r:id="rId1"/></sheets><definedNames/></workbook>',"xl/worksheets/sheet1.xml":'<?xml version="1.0" encoding="UTF-8" standalone="yes"?><worksheet xmlns="http://schemas.openxmlformats.org/spreadsheetml/2006/main" xmlns:r="http://schemas.openxmlformats.org/officeDocument/2006/relationships" xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" mc:Ignorable="x14ac" xmlns:x14ac="http://schemas.microsoft.com/office/spreadsheetml/2009/9/ac"><sheetData/><mergeCells count="0"/></worksheet>',"xl/styles.xml":'<?xml version="1.0" encoding="UTF-8"?><styleSheet xmlns="http://schemas.openxmlformats.org/spreadsheetml/2006/main" xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" mc:Ignorable="x14ac" xmlns:x14ac="http://schemas.microsoft.com/office/spreadsheetml/2009/9/ac"><numFmts count="6"><numFmt numFmtId="164" formatCode="#,##0.00_- [$$-45C]"/><numFmt numFmtId="165" formatCode="&quot;\xa3&quot;#,##0.00"/><numFmt numFmtId="166" formatCode="[$€-2] #,##0.00"/><numFmt numFmtId="167" formatCode="0.0%"/><numFmt numFmtId="168" formatCode="#,##0;(#,##0)"/><numFmt numFmtId="169" formatCode="#,##0.00;(#,##0.00)"/></numFmts><fonts count="5" x14ac:knownFonts="1"><font><sz val="11" /><name val="Calibri" /></font><font><sz val="11" /><name val="Calibri" /><color rgb="FFFFFFFF" /></font><font><sz val="11" /><name val="Calibri" /><b /></font><font><sz val="11" /><name val="Calibri" /><i /></font><font><sz val="11" /><name val="Calibri" /><u /></font></fonts><fills count="6"><fill><patternFill patternType="none" /></fill><fill><patternFill patternType="none" /></fill><fill><patternFill patternType="solid"><fgColor rgb="FFD9D9D9" /><bgColor indexed="64" /></patternFill></fill><fill><patternFill patternType="solid"><fgColor rgb="FFD99795" /><bgColor indexed="64" /></patternFill></fill><fill><patternFill patternType="solid"><fgColor rgb="ffc6efce" /><bgColor indexed="64" /></patternFill></fill><fill><patternFill patternType="solid"><fgColor rgb="ffc6cfef" /><bgColor indexed="64" /></patternFill></fill></fills><borders count="2"><border><left /><right /><top /><bottom /><diagonal /></border><border diagonalUp="false" diagonalDown="false"><left style="thin"><color auto="1" /></left><right style="thin"><color auto="1" /></right><top style="thin"><color auto="1" /></top><bottom style="thin"><color auto="1" /></bottom><diagonal /></border></borders><cellStyleXfs count="1"><xf numFmtId="0" fontId="0" fillId="0" borderId="0" /></cellStyleXfs><cellXfs count="67"><xf numFmtId="0" fontId="0" fillId="0" borderId="0" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="1" fillId="0" borderId="0" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="2" fillId="0" borderId="0" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="3" fillId="0" borderId="0" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="4" fillId="0" borderId="0" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="0" fillId="2" borderId="0" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="1" fillId="2" borderId="0" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="2" fillId="2" borderId="0" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="3" fillId="2" borderId="0" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="4" fillId="2" borderId="0" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="0" fillId="3" borderId="0" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="1" fillId="3" borderId="0" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="2" fillId="3" borderId="0" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="3" fillId="3" borderId="0" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="4" fillId="3" borderId="0" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="0" fillId="4" borderId="0" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="1" fillId="4" borderId="0" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="2" fillId="4" borderId="0" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="3" fillId="4" borderId="0" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="4" fillId="4" borderId="0" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="0" fillId="5" borderId="0" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="1" fillId="5" borderId="0" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="2" fillId="5" borderId="0" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="3" fillId="5" borderId="0" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="4" fillId="5" borderId="0" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="0" fillId="0" borderId="1" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="1" fillId="0" borderId="1" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="2" fillId="0" borderId="1" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="3" fillId="0" borderId="1" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="4" fillId="0" borderId="1" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="0" fillId="2" borderId="1" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="1" fillId="2" borderId="1" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="2" fillId="2" borderId="1" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="3" fillId="2" borderId="1" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="4" fillId="2" borderId="1" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="0" fillId="3" borderId="1" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="1" fillId="3" borderId="1" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="2" fillId="3" borderId="1" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="3" fillId="3" borderId="1" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="4" fillId="3" borderId="1" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="0" fillId="4" borderId="1" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="1" fillId="4" borderId="1" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="2" fillId="4" borderId="1" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="3" fillId="4" borderId="1" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="4" fillId="4" borderId="1" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="0" fillId="5" borderId="1" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="1" fillId="5" borderId="1" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="2" fillId="5" borderId="1" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="3" fillId="5" borderId="1" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="4" fillId="5" borderId="1" applyFont="1" applyFill="1" applyBorder="1"/><xf numFmtId="0" fontId="0" fillId="0" borderId="0" applyFont="1" applyFill="1" applyBorder="1" xfId="0" applyAlignment="1"><alignment horizontal="left"/></xf><xf numFmtId="0" fontId="0" fillId="0" borderId="0" applyFont="1" applyFill="1" applyBorder="1" xfId="0" applyAlignment="1"><alignment horizontal="center"/></xf><xf numFmtId="0" fontId="0" fillId="0" borderId="0" applyFont="1" applyFill="1" applyBorder="1" xfId="0" applyAlignment="1"><alignment horizontal="right"/></xf><xf numFmtId="0" fontId="0" fillId="0" borderId="0" applyFont="1" applyFill="1" applyBorder="1" xfId="0" applyAlignment="1"><alignment horizontal="fill"/></xf><xf numFmtId="0" fontId="0" fillId="0" borderId="0" applyFont="1" applyFill="1" applyBorder="1" xfId="0" applyAlignment="1"><alignment textRotation="90"/></xf><xf numFmtId="0" fontId="0" fillId="0" borderId="0" applyFont="1" applyFill="1" applyBorder="1" xfId="0" applyAlignment="1"><alignment wrapText="1"/></xf><xf numFmtId="9"   fontId="0" fillId="0" borderId="0" applyFont="1" applyFill="1" applyBorder="1" xfId="0" applyNumberFormat="1"/><xf numFmtId="164" fontId="0" fillId="0" borderId="0" applyFont="1" applyFill="1" applyBorder="1" xfId="0" applyNumberFormat="1"/><xf numFmtId="165" fontId="0" fillId="0" borderId="0" applyFont="1" applyFill="1" applyBorder="1" xfId="0" applyNumberFormat="1"/><xf numFmtId="166" fontId="0" fillId="0" borderId="0" applyFont="1" applyFill="1" applyBorder="1" xfId="0" applyNumberFormat="1"/><xf numFmtId="167" fontId="0" fillId="0" borderId="0" applyFont="1" applyFill="1" applyBorder="1" xfId="0" applyNumberFormat="1"/><xf numFmtId="168" fontId="0" fillId="0" borderId="0" applyFont="1" applyFill="1" applyBorder="1" xfId="0" applyNumberFormat="1"/><xf numFmtId="169" fontId="0" fillId="0" borderId="0" applyFont="1" applyFill="1" applyBorder="1" xfId="0" applyNumberFormat="1"/><xf numFmtId="3" fontId="0" fillId="0" borderId="0" applyFont="1" applyFill="1" applyBorder="1" xfId="0" applyNumberFormat="1"/><xf numFmtId="4" fontId="0" fillId="0" borderId="0" applyFont="1" applyFill="1" applyBorder="1" xfId="0" applyNumberFormat="1"/><xf numFmtId="1" fontId="0" fillId="0" borderId="0" applyFont="1" applyFill="1" applyBorder="1" xfId="0" applyNumberFormat="1"/><xf numFmtId="2" fontId="0" fillId="0" borderId="0" applyFont="1" applyFill="1" applyBorder="1" xfId="0" applyNumberFormat="1"/></cellXfs><cellStyles count="1"><cellStyle name="Normal" xfId="0" builtinId="0" /></cellStyles><dxfs count="0" /><tableStyles count="0" defaultTableStyle="TableStyleMedium9" defaultPivotStyle="PivotStyleMedium4" /></styleSheet>'},h=[{match:/^\-?\d+\.\d%$/,style:60,fmt:function(t){return t/100}},{match:/^\-?\d+\.?\d*%$/,style:56,fmt:function(t){return t/100}},{match:/^\-?\$[\d,]+.?\d*$/,style:57},{match:/^\-?£[\d,]+.?\d*$/,style:58},{match:/^\-?€[\d,]+.?\d*$/,style:59},{match:/^\-?\d+$/,style:65},{match:/^\-?\d+\.\d{2}$/,style:66},{match:/^\([\d,]+\)$/,style:61,fmt:function(t){return -1*t.replace(/[\(\)]/g,"")}},{match:/^\([\d,]+\.\d{2}\)$/,style:62,fmt:function(t){return -1*t.replace(/[\(\)]/g,"")}},{match:/^\-?[\d,]+$/,style:63},{match:/^\-?[\d,]+\.\d{2}$/,style:64}];return a.ext.buttons.copyHtml5={className:"buttons-copy buttons-html5",text:function(t){return t.i18n("buttons.copy","Copy")},action:function(e,l,n,r){this.processing(!0);var a=this,p=m(l,r),d=l.buttons.exportInfo(r),i=f(r),s=p.str,_=t("<div/>").css({height:1,width:1,overflow:"hidden",position:"fixed",top:0,left:0});d.title&&(s=d.title+i+i+s),d.messageTop&&(s=d.messageTop+i+i+s),d.messageBottom&&(s=s+i+i+d.messageBottom),r.customize&&(s=r.customize(s,r,l));var y=t("<textarea readonly/>").val(s).appendTo(_);if(o.queryCommandSupported("copy")){_.appendTo(l.table().container()),y[0].focus(),y[0].select();try{var c=o.execCommand("copy");if(_.remove(),c){l.buttons.info(l.i18n("buttons.copyTitle","Copy to clipboard"),l.i18n("buttons.copySuccess",{1:"Copied one row to clipboard",_:"Copied %d rows to clipboard"},p.rows),2e3),this.processing(!1);return}}catch(u){}}var I=t("<span>"+l.i18n("buttons.copyKeys","Press <i>ctrl</i> or <i>⌘</i> + <i>C</i> to copy the table data<br>to your system clipboard.<br><br>To cancel, click this message or press escape.")+"</span>").append(_);l.buttons.info(l.i18n("buttons.copyTitle","Copy to clipboard"),I,0),y[0].focus(),y[0].select();var $=t(I).closest(".dt-button-info"),F=function(){$.off("click.buttons-copy"),t(o).off(".buttons-copy"),l.buttons.info(!1)};$.on("click.buttons-copy",F),t(o).on("keydown.buttons-copy",function(t){27===t.keyCode&&(F(),a.processing(!1))}).on("copy.buttons-copy cut.buttons-copy",function(){F(),a.processing(!1)})},exportOptions:{},fieldSeparator:"	",fieldBoundary:"",header:!0,footer:!1,title:"*",messageTop:"*",messageBottom:"*"},a.ext.buttons.csvHtml5={bom:!1,className:"buttons-csv buttons-html5",available:function(){return r!==e.FileReader&&e.Blob},text:function(t){return t.i18n("buttons.csv","CSV")},action:function(t,e,l,n){this.processing(!0);var r=m(e,n).str,a=e.buttons.exportInfo(n),p=n.charset;n.customize&&(r=n.customize(r,n,e)),!1!==p?(p||(p=o.characterSet||o.charset),p&&(p=";charset="+p)):p="",n.bom&&(r="\uFEFF"+r),i(new Blob([r],{type:"text/csv"+p}),a.filename,!0),this.processing(!1)},filename:"*",extension:".csv",exportOptions:{},fieldSeparator:",",fieldBoundary:'"',escapeChar:'"',charset:null,header:!0,footer:!1},a.ext.buttons.excelHtml5={className:"buttons-excel buttons-html5",available:function(){return r!==e.FileReader&&r!==p()&&!_()&&u},text:function(t){return t.i18n("buttons.excel","Excel")},action:function(e,o,l,n){this.processing(!0);var a,d,f,m,_=this,I=0,b=function(e){var o=x[e];return t.parseXML(o)},g=b("xl/worksheets/sheet1.xml"),v=g.getElementsByTagName("sheetData")[0],B={_rels:{".rels":b("_rels/.rels")},xl:{_rels:{"workbook.xml.rels":b("xl/_rels/workbook.xml.rels")},"workbook.xml":b("xl/workbook.xml"),"styles.xml":b("xl/styles.xml"),worksheets:{"sheet1.xml":g}},"[Content_Types].xml":b("[Content_Types].xml")},w=o.buttons.exportData(n.exportOptions),C=function(e){m=$(g,"row",{attr:{r:f=I+1}});for(var o=0,l=e.length;o<l;o++){var a=y(o)+""+f,p=null;if(null===e[o]||r===e[o]||""===e[o]){if(!0!==n.createEmptyCells)continue;e[o]=""}var d=e[o];e[o]=t.trim(e[o]);for(var i=0,s=h.length;i<s;i++){var _=h[i];if(e[o].match&&!e[o].match(/^0\d+/)&&e[o].match(_.match)){var c=e[o].replace(/[^\d\.\-]/g,"");_.fmt&&(c=_.fmt(c)),p=$(g,"c",{attr:{r:a,s:_.style},children:[$(g,"v",{text:c})]});break}}!p&&(p="number"==typeof e[o]||e[o].match&&e[o].match(/^-?\d+(\.\d+)?$/)&&!e[o].match(/^0\d+/)?$(g,"c",{attr:{t:"n",r:a},children:[$(g,"v",{text:e[o]})]}):$(g,"c",{attr:{t:"inlineStr",r:a},children:{row:$(g,"is",{children:{row:$(g,"t",{text:d.replace?d.replace(/[\x00-\x09\x0B\x0C\x0E-\x1F\x7F-\x9F]/g,""):d,attr:{"xml:space":"preserve"}})}})}})),m.appendChild(p)}v.appendChild(m),I++};n.customizeData&&n.customizeData(w);var k=function(e,o){var l=t("mergeCells",g);l[0].appendChild($(g,"mergeCell",{attr:{ref:"A"+e+":"+y(o)+e}})),l.attr("count",parseFloat(l.attr("count"))+1),t("row:eq("+(e-1)+") c",g).attr("s","51")},T=o.buttons.exportInfo(n);T.title&&(C([T.title],I),k(I,w.header.length-1)),T.messageTop&&(C([T.messageTop],I),k(I,w.header.length-1)),n.header&&(C(w.header,I),t("row:last c",g).attr("s","2")),a=I;for(var S=0,N=w.body.length;S<N;S++)C(w.body[S],I);d=I,n.footer&&w.footer&&(C(w.footer,I),t("row:last c",g).attr("s","2")),T.messageBottom&&(C([T.messageBottom],I),k(I,w.header.length-1));var O=$(g,"cols");t("worksheet",g).prepend(O);for(var z=0,D=w.header.length;z<D;z++)O.appendChild($(g,"col",{attr:{min:z+1,max:z+1,width:F(w,z),customWidth:1}}));var A=B.xl["workbook.xml"];t("sheets sheet",A).attr("name",s(n)),n.autoFilter&&(t("mergeCells",g).before($(g,"autoFilter",{attr:{ref:"A"+a+":"+y(w.header.length-1)+d}})),t("definedNames",A).append($(A,"definedName",{attr:{name:"_xlnm._FilterDatabase",localSheetId:"0",hidden:1},text:s(n)+"!$A$"+a+":"+y(w.header.length-1)+d}))),n.customize&&n.customize(B,n,o),0===t("mergeCells",g).children().length&&t("mergeCells",g).remove();var E=new(p()),R={type:"blob",mimeType:"application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"};(function e(o,l){c===r&&(c=-1===u.serializeToString(t.parseXML(x["xl/worksheets/sheet1.xml"])).indexOf("xmlns:r")),t.each(l,function(l,n){if(t.isPlainObject(n))e(o.folder(l),n);else{if(c){var r,a,p=n.childNodes[0],d=[];for(r=p.attributes.length-1;r>=0;r--){var i=p.attributes[r].nodeName,s=p.attributes[r].nodeValue;-1!==i.indexOf(":")&&(d.push({name:i,value:s}),p.removeAttribute(i))}for(r=0,a=d.length;r<a;r++){var f=n.createAttribute(d[r].name.replace(":","_dt_b_namespace_token_"));f.value=d[r].value,p.setAttributeNode(f)}}var m=u.serializeToString(n);c&&(-1===m.indexOf("<?xml")&&(m='<?xml version="1.0" encoding="UTF-8" standalone="yes"?>'+m),m=(m=m.replace(/_dt_b_namespace_token_/g,":")).replace(/xmlns:NS[\d]+="" NS[\d]+:/g,"")),m=m.replace(/<([^<>]*?) xmlns=""([^<>]*?)>/g,"<$1 $2>"),o.file(l,m)}})})(E,B),E.generateAsync?E.generateAsync(R).then(function(t){i(t,T.filename),_.processing(!1)}):(i(E.generate(R),T.filename),this.processing(!1))},filename:"*",extension:".xlsx",exportOptions:{},header:!0,footer:!1,title:"*",messageTop:"*",messageBottom:"*",createEmptyCells:!1,autoFilter:!1,sheetName:""},a.ext.buttons.pdfHtml5={className:"buttons-pdf buttons-html5",available:function(){return r!==e.FileReader&&d()},text:function(t){return t.i18n("buttons.pdf","PDF")},action:function(e,o,l,n){this.processing(!0);var a=o.buttons.exportData(n.exportOptions),p=o.buttons.exportInfo(n),i=[];n.header&&i.push(t.map(a.header,function(t){return{text:"string"==typeof t?t:t+"",style:"tableHeader"}}));for(var s=0,f=a.body.length;s<f;s++)i.push(t.map(a.body[s],function(t){return(null===t||t===r)&&(t=""),{text:"string"==typeof t?t:t+"",style:s%2?"tableBodyEven":"tableBodyOdd"}}));n.footer&&a.footer&&i.push(t.map(a.footer,function(t){return{text:"string"==typeof t?t:t+"",style:"tableFooter"}}));var m={pageSize:n.pageSize,pageOrientation:n.orientation,content:[{table:{headerRows:1,body:i},layout:"noBorders"}],styles:{tableHeader:{bold:!0,fontSize:11,color:"white",fillColor:"#2d4154",alignment:"center"},tableBodyEven:{},tableBodyOdd:{fillColor:"#f3f3f3"},tableFooter:{bold:!0,fontSize:11,color:"white",fillColor:"#2d4154"},title:{alignment:"center",fontSize:15},message:{}},defaultStyle:{fontSize:10}};p.messageTop&&m.content.unshift({text:p.messageTop,style:"message",margin:[0,0,0,12]}),p.messageBottom&&m.content.push({text:p.messageBottom,style:"message",margin:[0,0,0,12]}),p.title&&m.content.unshift({text:p.title,style:"title",margin:[0,0,0,12]}),n.customize&&n.customize(m,n,o);var y=d().createPdf(m);"open"!==n.download||_()?y.download(p.filename):y.open(),this.processing(!1)},title:"*",filename:"*",extension:".pdf",exportOptions:{},orientation:"portrait",pageSize:"A4",header:!0,footer:!1,messageTop:"*",messageBottom:"*",customize:null,download:"download"},a.Buttons});