/**
 * This file is part of Moodle - http://moodle.org/
 *
 * Moodle is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Moodle is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @package    block_course_statistics
 * @copyright  2023 onwards WIDE Services {@link https://www.wideservices.gr}
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */ /*!

JSZip - A Javascript class for generating and reading zip files
<http://stuartk.com/jszip>

(c) 2009-2014 Stuart Knightley <stuart [at] stuartk.com>
Dual licenced under the MIT license or GPLv3. See https://raw.github.com/Stuk/jszip/master/LICENSE.markdown.

JSZip uses the library pako released under the MIT license :
https://github.com/nodeca/pako/blob/master/LICENSE
*/ !function(t){if("object"==typeof exports&&"undefined"!=typeof module)module.exports=t();else if("function"==typeof define&&define.amd)define([],t);else{var e;"undefined"!=typeof window?e=window:"undefined"!=typeof global?e=global:"undefined"!=typeof self&&(e=self),e.JSZip=t()}}(function(){return(function t(e,n,r){function i(s,o){if(!n[s]){if(!e[s]){var $="function"==typeof require&&require;if(!o&&$)return $(s,!0);if(a)return a(s,!0);throw Error("Cannot find module '"+s+"'")}var f=n[s]={exports:{}};e[s][0].call(f.exports,function(t){var n;return i(e[s][1][t]||t)},f,f.exports,t,e,n,r)}return n[s].exports}for(var a="function"==typeof require&&require,s=0;s<r.length;s++)i(r[s]);return i})({1:[function(t,e,n){"use strict";var r="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=";n.encode=function(t,e){for(var n,i,a,s,o,$,f,d="",h=0;h<t.length;)n=t.charCodeAt(h++),i=t.charCodeAt(h++),a=t.charCodeAt(h++),s=n>>2,o=(3&n)<<4|i>>4,$=(15&i)<<2|a>>6,f=63&a,isNaN(i)?$=f=64:isNaN(a)&&(f=64),d=d+r.charAt(s)+r.charAt(o)+r.charAt($)+r.charAt(f);return d},n.decode=function(t,e){var n,i,a,s,o,$,f,d="",h=0;for(t=t.replace(/[^A-Za-z0-9\+\/\=]/g,"");h<t.length;)s=r.indexOf(t.charAt(h++)),o=r.indexOf(t.charAt(h++)),$=r.indexOf(t.charAt(h++)),f=r.indexOf(t.charAt(h++)),n=s<<2|o>>4,i=(15&o)<<4|$>>2,a=(3&$)<<6|f,d+=String.fromCharCode(n),64!=$&&(d+=String.fromCharCode(i)),64!=f&&(d+=String.fromCharCode(a));return d}},{}],2:[function(t,e,n){"use strict";function r(){this.compressedSize=0,this.uncompressedSize=0,this.crc32=0,this.compressionMethod=null,this.compressedContent=null}r.prototype={getContent:function(){return null},getCompressedContent:function(){return null}},e.exports=r},{}],3:[function(t,e,n){"use strict";n.STORE={magic:"\0\0",compress:function(t,e){return t},uncompress:function(t){return t},compressInputType:null,uncompressInputType:null},n.DEFLATE=t("./flate")},{"./flate":8}],4:[function(t,e,n){"use strict";var r=t("./utils"),i=[0,1996959894,3993919788,2567524794,124634137,1886057615,3915621685,2657392035,249268274,2044508324,3772115230,2547177864,162941995,2125561021,3887607047,2428444049,498536548,1789927666,4089016648,2227061214,450548861,1843258603,4107580753,2211677639,325883990,1684777152,4251122042,2321926636,335633487,1661365465,4195302755,2366115317,997073096,1281953886,3579855332,2724688242,1006888145,1258607687,3524101629,2768942443,901097722,1119000684,3686517206,2898065728,853044451,1172266101,3705015759,2882616665,651767980,1373503546,3369554304,3218104598,565507253,1454621731,3485111705,3099436303,671266974,1594198024,3322730930,2970347812,795835527,1483230225,3244367275,3060149565,1994146192,31158534,2563907772,4023717930,1907459465,112637215,2680153253,3904427059,2013776290,251722036,2517215374,3775830040,2137656763,141376813,2439277719,3865271297,1802195444,476864866,2238001368,4066508878,1812370925,453092731,2181625025,4111451223,1706088902,314042704,2344532202,4240017532,1658658271,366619977,2362670323,4224994405,1303535960,984961486,2747007092,3569037538,1256170817,1037604311,2765210733,3554079995,1131014506,879679996,2909243462,3663771856,1141124467,855842277,2852801631,3708648649,1342533948,654459306,3188396048,3373015174,1466479909,544179635,3110523913,3462522015,1591671054,702138776,2966460450,3352799412,1504918807,783551873,3082640443,3233442989,3988292384,2596254646,62317068,1957810842,3939845945,2647816111,81470997,1943803523,3814918930,2489596804,225274430,2053790376,3826175755,2466906013,167816743,2097651377,4027552580,2265490386,503444072,1762050814,4150417245,2154129355,426522225,1852507879,4275313526,2312317920,282753626,1742555852,4189708143,2394877945,397917763,1622183637,3604390888,2714866558,953729732,1340076626,3518719985,2797360999,1068828381,1219638859,3624741850,2936675148,906185462,1090812512,3747672003,2825379669,829329135,1181335161,3412177804,3160834842,628085408,1382605366,3423369109,3138078467,570562233,1426400815,3317316542,2998733608,733239954,1555261956,3268935591,3050360625,752459403,1541320221,2607071920,3965973030,1969922972,40735498,2617837225,3943577151,1913087877,83908371,2512341634,3803740692,2075208622,213261112,2463272603,3855990285,2094854071,198958881,2262029012,4057260610,1759359992,534414190,2176718541,4139329115,1873836001,414664567,2282248934,4279200368,1711684554,285281116,2405801727,4167216745,1634467795,376229701,2685067896,3608007406,1308918612,956543938,2808555105,3495958263,1231636301,1047427035,2932959818,3654703836,1088359270,936918e3,2847714899,3736837829,1202900863,817233897,3183342108,3401237130,1404277552,615818150,3134207493,3453421203,1423857449,601450431,3009837614,3294710456,1567103746,711928724,3020668471,3272380065,1510334235,755167117];e.exports=function t(e,n){if(void 0===e||!e.length)return 0;var a="string"!==r.getTypeOf(e);void 0===n&&(n=0);var s=0,o=0,$=0;n^=-1;for(var f=0,d=e.length;f<d;f++)s=i[o=(n^($=a?e[f]:e.charCodeAt(f)))&255],n=n>>>8^s;return -1^n}},{"./utils":21}],5:[function(t,e,n){"use strict";var r=t("./utils");function i(t){this.data=null,this.length=0,this.index=0}i.prototype={checkOffset:function(t){this.checkIndex(this.index+t)},checkIndex:function(t){if(this.length<t||t<0)throw Error("End of data reached (data length = "+this.length+", asked index = "+t+"). Corrupted zip ?")},setIndex:function(t){this.checkIndex(t),this.index=t},skip:function(t){this.setIndex(this.index+t)},byteAt:function(t){},readInt:function(t){var e,n=0;for(this.checkOffset(t),e=this.index+t-1;e>=this.index;e--)n=(n<<8)+this.byteAt(e);return this.index+=t,n},readString:function(t){return r.transformTo("string",this.readData(t))},readData:function(t){},lastIndexOfSignature:function(t){},readDate:function(){var t=this.readInt(4);return new Date((t>>25&127)+1980,(t>>21&15)-1,t>>16&31,t>>11&31,t>>5&63,(31&t)<<1)}},e.exports=i},{"./utils":21}],6:[function(t,e,n){"use strict";n.base64=!1,n.binary=!1,n.dir=!1,n.createFolders=!1,n.date=null,n.compression=null,n.compressionOptions=null,n.comment=null,n.unixPermissions=null,n.dosPermissions=null},{}],7:[function(t,e,n){"use strict";var r=t("./utils");n.string2binary=function(t){return r.string2binary(t)},n.string2Uint8Array=function(t){return r.transformTo("uint8array",t)},n.uint8Array2String=function(t){return r.transformTo("string",t)},n.string2Blob=function(t){var e=r.transformTo("arraybuffer",t);return r.arrayBuffer2Blob(e)},n.arrayBuffer2Blob=function(t){return r.arrayBuffer2Blob(t)},n.transformTo=function(t,e){return r.transformTo(t,e)},n.getTypeOf=function(t){return r.getTypeOf(t)},n.checkSupport=function(t){return r.checkSupport(t)},n.MAX_VALUE_16BITS=r.MAX_VALUE_16BITS,n.MAX_VALUE_32BITS=r.MAX_VALUE_32BITS,n.pretty=function(t){return r.pretty(t)},n.findCompression=function(t){return r.findCompression(t)},n.isRegExp=function(t){return r.isRegExp(t)}},{"./utils":21}],8:[function(t,e,n){"use strict";var r="undefined"!=typeof Uint8Array&&"undefined"!=typeof Uint16Array&&"undefined"!=typeof Uint32Array,i=t("pako");n.uncompressInputType=r?"uint8array":"array",n.compressInputType=r?"uint8array":"array",n.magic="\b\0",n.compress=function(t,e){return i.deflateRaw(t,{level:e.level||-1})},n.uncompress=function(t){return i.inflateRaw(t)}},{pako:24}],9:[function(t,e,n){"use strict";var r=t("./base64");function i(t,e){if(!(this instanceof i))return new i(t,e);this.files={},this.comment=null,this.root="",t&&this.load(t,e),this.clone=function(){var t=new i;for(var e in this)"function"!=typeof this[e]&&(t[e]=this[e]);return t}}i.prototype=t("./object"),i.prototype.load=t("./load"),i.support=t("./support"),i.defaults=t("./defaults"),i.utils=t("./deprecatedPublicUtils"),i.base64={encode:function(t){return r.encode(t)},decode:function(t){return r.decode(t)}},i.compressions=t("./compressions"),e.exports=i},{"./base64":1,"./compressions":3,"./defaults":6,"./deprecatedPublicUtils":7,"./load":10,"./object":13,"./support":17}],10:[function(t,e,n){"use strict";var r=t("./base64"),i=t("./zipEntries");e.exports=function(t,e){var n,a,s,o;for((e=e||{}).base64&&(t=r.decode(t)),n=(a=new i(t,e)).files,s=0;s<n.length;s++)o=n[s],this.file(o.fileName,o.decompressed,{binary:!0,optimizedBinaryString:!0,date:o.date,dir:o.dir,comment:o.fileComment.length?o.fileComment:null,unixPermissions:o.unixPermissions,dosPermissions:o.dosPermissions,createFolders:e.createFolders});return a.zipComment.length&&(this.comment=a.zipComment),this}},{"./base64":1,"./zipEntries":22}],11:[function(t,e,n){(function(t){"use strict";e.exports=function(e,n){return new t(e,n)},e.exports.test=function(e){return t.isBuffer(e)}}).call(this,"undefined"!=typeof Buffer?Buffer:void 0)},{}],12:[function(t,e,n){"use strict";var r=t("./uint8ArrayReader");function i(t){this.data=t,this.length=this.data.length,this.index=0}i.prototype=new r,i.prototype.readData=function(t){this.checkOffset(t);var e=this.data.slice(this.index,this.index+t);return this.index+=t,e},e.exports=i},{"./uint8ArrayReader":18}],13:[function(t,e,n){"use strict";var r=t("./support"),i=t("./utils"),a=t("./crc32"),s=t("./signature"),o=t("./defaults"),$=t("./base64"),f=t("./compressions"),d=t("./compressedObject"),h=t("./nodeBuffer"),l=t("./utf8"),u=t("./stringWriter"),c=t("./uint8ArrayWriter"),_=function(t){if(t._data instanceof d&&(t._data=t._data.getContent(),t.options.binary=!0,t.options.base64=!1,"uint8array"===i.getTypeOf(t._data))){var e=t._data;t._data=new Uint8Array(e.length),0!==e.length&&t._data.set(e,0)}return t._data},x=function(t){var e=_(t);return"string"===i.getTypeOf(e)?!t.options.binary&&r.nodebuffer?h(e,"utf-8"):t.asBinary():e},p=function(t){var e=_(this);return null==e?"":(this.options.base64&&(e=$.decode(e)),e=t&&this.options.binary?D.utf8decode(e):i.transformTo("string",e),t||this.options.binary||(e=i.transformTo("string",D.utf8encode(e))),e)},m=function(t,e,n){this.name=t,this.dir=n.dir,this.date=n.date,this.comment=n.comment,this.unixPermissions=n.unixPermissions,this.dosPermissions=n.dosPermissions,this._data=e,this.options=n,this._initialMetadata={dir:n.dir,date:n.date}};m.prototype={asText:function(){return p.call(this,!0)},asBinary:function(){return p.call(this,!1)},asNodeBuffer:function(){var t=x(this);return i.transformTo("nodebuffer",t)},asUint8Array:function(){var t=x(this);return i.transformTo("uint8array",t)},asArrayBuffer:function(){return this.asUint8Array().buffer}};var g=function(t,e){var n,r="";for(n=0;n<e;n++)r+=String.fromCharCode(255&t),t>>>=8;return r},b=function(){var t,e,n={};for(t=0;t<arguments.length;t++)for(e in arguments[t])arguments[t].hasOwnProperty(e)&&void 0===n[e]&&(n[e]=arguments[t][e]);return n},v=function(t,e,n){var r,a,s=i.getTypeOf(e);if("string"==typeof(n=(!0===(a=(a=n)||{}).base64&&(null===a.binary||void 0===a.binary)&&(a.binary=!0),(a=b(a,o)).date=a.date||new Date,null!==a.compression&&(a.compression=a.compression.toUpperCase()),a)).unixPermissions&&(n.unixPermissions=parseInt(n.unixPermissions,8)),n.unixPermissions&&16384&n.unixPermissions&&(n.dir=!0),n.dosPermissions&&16&n.dosPermissions&&(n.dir=!0),n.dir&&(t=B(t)),n.createFolders&&(r=w(t))&&y.call(this,r,!0),n.dir||null==e)n.base64=!1,n.binary=!1,e=null,s=null;else if("string"===s)n.binary&&!n.base64&&!0!==n.optimizedBinaryString&&(e=i.string2binary(e));else{if(n.base64=!1,n.binary=!0,!s&&!(e instanceof d))throw Error("The data of '"+t+"' is in an unsupported format !");"arraybuffer"===s&&(e=i.transformTo("uint8array",e))}var $=new m(t,e,n);return this.files[t]=$,$},w=function(t){"/"==t.slice(-1)&&(t=t.substring(0,t.length-1));var e=t.lastIndexOf("/");return e>0?t.substring(0,e):""},B=function(t){return"/"!=t.slice(-1)&&(t+="/"),t},y=function(t,e){return e=void 0!==e&&e,t=B(t),this.files[t]||v.call(this,t,null,{dir:!0,createFolders:e}),this.files[t]},k=function(t,e,n){var r,s=new d;return t._data instanceof d?(s.uncompressedSize=t._data.uncompressedSize,s.crc32=t._data.crc32,0===s.uncompressedSize||t.dir?(e=f.STORE,s.compressedContent="",s.crc32=0):t._data.compressionMethod===e.magic?s.compressedContent=t._data.getCompressedContent():(r=t._data.getContent(),s.compressedContent=e.compress(i.transformTo(e.compressInputType,r),n))):((r=x(t))&&0!==r.length&&!t.dir||(e=f.STORE,r=""),s.uncompressedSize=r.length,s.crc32=a(r),s.compressedContent=e.compress(i.transformTo(e.compressInputType,r),n)),s.compressedSize=s.compressedContent.length,s.compressionMethod=e.magic,s},C=function(t,e){var n=t;return t||(n=e?16893:33204),(65535&n)<<16},E=function(t,e,n,r,o){n.compressedContent;var $,f,d,h,u,c,_=i.transformTo("string",l.utf8encode(e.name)),x=e.comment||"",p=i.transformTo("string",l.utf8encode(x)),m=_.length!==e.name.length,b=p.length!==x.length,v=e.options,w="",B="",y="";u=e._initialMetadata.dir!==e.dir?e.dir:v.dir,c=e._initialMetadata.date!==e.date?e.date:v.date;var k=0,E=0;(u&&(k|=16),"UNIX"===o)?(E=798,k|=C(e.unixPermissions,u)):(E=20,k|=($=e.dosPermissions,63&($||0))),d=c.getHours(),d<<=6,d|=c.getMinutes(),d<<=5,d|=c.getSeconds()/2,h=c.getFullYear()-1980,h<<=4,h|=c.getMonth()+1,h<<=5,h|=c.getDate(),m&&(B=g(1,1)+g(a(_),4)+_,w+="up"+g(B.length,2)+B),b&&(y=g(1,1)+g(this.crc32(p),4)+p,w+="uc"+g(y.length,2)+y);var D="";D+="\n\0",D+=m||b?"\0\b":"\0\0",D+=n.compressionMethod,D+=g(d,2),D+=g(h,2),D+=g(n.crc32,4),D+=g(n.compressedSize,4),D+=g(n.uncompressedSize,4),D+=g(_.length,2),D+=g(w.length,2);var A,z=s.LOCAL_FILE_HEADER+D+_+w;return{fileRecord:z,dirRecord:s.CENTRAL_FILE_HEADER+g(E,2)+D+g(p.length,2)+"\0\0\0\0"+g(k,4)+g(r,4)+_+w+p,compressedObject:n}},D={load:function(t,e){throw Error("Load method is not defined. Is the file jszip-load.js included ?")},filter:function(t){var e,n,r,i,a=[];for(e in this.files)this.files.hasOwnProperty(e)&&(r=this.files[e],i=new m(r.name,r._data,b(r.options)),n=e.slice(this.root.length,e.length),e.slice(0,this.root.length)===this.root&&t(n,i)&&a.push(i));return a},file:function(t,e,n){if(1===arguments.length){if(!i.isRegExp(t))return this.filter(function(e,n){return!n.dir&&e===t})[0]||null;var r=t;return this.filter(function(t,e){return!e.dir&&r.test(t)})}return t=this.root+t,v.call(this,t,e,n),this},folder:function(t){if(!t)return this;if(i.isRegExp(t))return this.filter(function(e,n){return n.dir&&t.test(e)});var e=this.root+t,n=y.call(this,e),r=this.clone();return r.root=n.name,r},remove:function(t){t=this.root+t;var e=this.files[t];if(e||("/"!=t.slice(-1)&&(t+="/"),e=this.files[t]),e&&!e.dir)delete this.files[t];else for(var n=this.filter(function(e,n){return n.name.slice(0,t.length)===t}),r=0;r<n.length;r++)delete this.files[n[r].name];return this},generate:function(t){t=b(t||{},{base64:!0,compression:"STORE",compressionOptions:null,type:"base64",platform:"DOS",comment:null,mimeType:"application/zip"}),i.checkSupport(t.type),("darwin"===t.platform||"freebsd"===t.platform||"linux"===t.platform||"sunos"===t.platform)&&(t.platform="UNIX"),"win32"===t.platform&&(t.platform="DOS");var e,n,r=[],a=0,o=0,d=i.transformTo("string",this.utf8encode(t.comment||this.comment||""));for(var h in this.files)if(this.files.hasOwnProperty(h)){var l=this.files[h],_=l.options.compression||t.compression.toUpperCase(),x=f[_];if(!x)throw Error(_+" is not a valid compression method !");var p=l.options.compressionOptions||t.compressionOptions||{},m=k.call(this,l,x,p),v=E.call(this,h,l,m,a,t.platform);a+=v.fileRecord.length+m.compressedSize,o+=v.dirRecord.length,r.push(v)}var w="";w=s.CENTRAL_DIRECTORY_END+"\0\0\0\0"+g(r.length,2)+g(r.length,2)+g(o,4)+g(a,4)+g(d.length,2)+d;var B=t.type.toLowerCase();for(n=0,e="uint8array"===B||"arraybuffer"===B||"blob"===B||"nodebuffer"===B?new c(a+o+w.length):new u(a+o+w.length);n<r.length;n++)e.append(r[n].fileRecord),e.append(r[n].compressedObject.compressedContent);for(n=0;n<r.length;n++)e.append(r[n].dirRecord);e.append(w);var y=e.finalize();switch(t.type.toLowerCase()){case"uint8array":case"arraybuffer":case"nodebuffer":return i.transformTo(t.type.toLowerCase(),y);case"blob":return i.arrayBuffer2Blob(i.transformTo("arraybuffer",y),t.mimeType);case"base64":return t.base64?$.encode(y):y;default:return y}},crc32:function(t,e){return a(t,e)},utf8encode:function(t){return i.transformTo("string",l.utf8encode(t))},utf8decode:function(t){return l.utf8decode(t)}};e.exports=D},{"./base64":1,"./compressedObject":2,"./compressions":3,"./crc32":4,"./defaults":6,"./nodeBuffer":11,"./signature":14,"./stringWriter":16,"./support":17,"./uint8ArrayWriter":19,"./utf8":20,"./utils":21}],14:[function(t,e,n){"use strict";n.LOCAL_FILE_HEADER="PK\x03\x04",n.CENTRAL_FILE_HEADER="PK\x01\x02",n.CENTRAL_DIRECTORY_END="PK\x05\x06",n.ZIP64_CENTRAL_DIRECTORY_LOCATOR="PK\x06\x07",n.ZIP64_CENTRAL_DIRECTORY_END="PK\x06\x06",n.DATA_DESCRIPTOR="PK\x07\b"},{}],15:[function(t,e,n){"use strict";var r=t("./dataReader"),i=t("./utils");function a(t,e){this.data=t,e||(this.data=i.string2binary(this.data)),this.length=this.data.length,this.index=0}a.prototype=new r,a.prototype.byteAt=function(t){return this.data.charCodeAt(t)},a.prototype.lastIndexOfSignature=function(t){return this.data.lastIndexOf(t)},a.prototype.readData=function(t){this.checkOffset(t);var e=this.data.slice(this.index,this.index+t);return this.index+=t,e},e.exports=a},{"./dataReader":5,"./utils":21}],16:[function(t,e,n){"use strict";var r=t("./utils"),i=function(){this.data=[]};i.prototype={append:function(t){t=r.transformTo("string",t),this.data.push(t)},finalize:function(){return this.data.join("")}},e.exports=i},{"./utils":21}],17:[function(t,e,n){(function(t){"use strict";if(n.base64=!0,n.array=!0,n.string=!0,n.arraybuffer="undefined"!=typeof ArrayBuffer&&"undefined"!=typeof Uint8Array,n.nodebuffer=void 0!==t,n.uint8array="undefined"!=typeof Uint8Array,"undefined"==typeof ArrayBuffer)n.blob=!1;else{var e=new ArrayBuffer(0);try{n.blob=0===new Blob([e],{type:"application/zip"}).size}catch(r){try{var i=new(window.BlobBuilder||window.WebKitBlobBuilder||window.MozBlobBuilder||window.MSBlobBuilder);i.append(e),n.blob=0===i.getBlob("application/zip").size}catch(a){n.blob=!1}}}}).call(this,"undefined"!=typeof Buffer?Buffer:void 0)},{}],18:[function(t,e,n){"use strict";var r=t("./dataReader");function i(t){t&&(this.data=t,this.length=this.data.length,this.index=0)}i.prototype=new r,i.prototype.byteAt=function(t){return this.data[t]},i.prototype.lastIndexOfSignature=function(t){for(var e=t.charCodeAt(0),n=t.charCodeAt(1),r=t.charCodeAt(2),i=t.charCodeAt(3),a=this.length-4;a>=0;--a)if(this.data[a]===e&&this.data[a+1]===n&&this.data[a+2]===r&&this.data[a+3]===i)return a;return -1},i.prototype.readData=function(t){if(this.checkOffset(t),0===t)return new Uint8Array(0);var e=this.data.subarray(this.index,this.index+t);return this.index+=t,e},e.exports=i},{"./dataReader":5}],19:[function(t,e,n){"use strict";var r=t("./utils"),i=function(t){this.data=new Uint8Array(t),this.index=0};i.prototype={append:function(t){0!==t.length&&(t=r.transformTo("uint8array",t),this.data.set(t,this.index),this.index+=t.length)},finalize:function(){return this.data}},e.exports=i},{"./utils":21}],20:[function(t,e,n){"use strict";for(var r=t("./utils"),i=t("./support"),a=t("./nodeBuffer"),s=Array(256),o=0;o<256;o++)s[o]=o>=252?6:o>=248?5:o>=240?4:o>=224?3:o>=192?2:1;s[254]=s[254]=1;var $=function(t){var e,n,r,a,s,o=t.length,$=0;for(a=0;a<o;a++)(64512&(n=t.charCodeAt(a)))==55296&&a+1<o&&(64512&(r=t.charCodeAt(a+1)))==56320&&(n=65536+(n-55296<<10)+(r-56320),a++),$+=n<128?1:n<2048?2:n<65536?3:4;for(s=0,e=i.uint8array?new Uint8Array($):Array($),a=0;s<$;a++)(64512&(n=t.charCodeAt(a)))==55296&&a+1<o&&(64512&(r=t.charCodeAt(a+1)))==56320&&(n=65536+(n-55296<<10)+(r-56320),a++),n<128?e[s++]=n:n<2048?(e[s++]=192|n>>>6,e[s++]=128|63&n):n<65536?(e[s++]=224|n>>>12,e[s++]=128|n>>>6&63,e[s++]=128|63&n):(e[s++]=240|n>>>18,e[s++]=128|n>>>12&63,e[s++]=128|n>>>6&63,e[s++]=128|63&n);return e},f=function(t,e){var n;for((e=e||t.length)>t.length&&(e=t.length),n=e-1;n>=0&&(192&t[n])==128;)n--;return n<0||0===n?e:n+s[t[n]]>e?n:e},d=function(t){var e,n,i,a,o=t.length,$=Array(2*o);for(n=0,e=0;e<o;){if((i=t[e++])<128){$[n++]=i;continue}if((a=s[i])>4){$[n++]=65533,e+=a-1;continue}for(i&=2===a?31:3===a?15:7;a>1&&e<o;)i=i<<6|63&t[e++],a--;if(a>1){$[n++]=65533;continue}i<65536?$[n++]=i:(i-=65536,$[n++]=55296|i>>10&1023,$[n++]=56320|1023&i)}return $.length!==n&&($.subarray?$=$.subarray(0,n):$.length=n),r.applyFromCharCode($)};n.utf8encode=function t(e){return i.nodebuffer?a(e,"utf-8"):$(e)},n.utf8decode=function t(e){if(i.nodebuffer)return r.transformTo("nodebuffer",e).toString("utf-8");e=r.transformTo(i.uint8array?"uint8array":"array",e);for(var n=[],a=0,s=e.length;a<s;){var o=f(e,Math.min(a+65536,s));i.uint8array?n.push(d(e.subarray(a,o))):n.push(d(e.slice(a,o))),a=o}return n.join("")}},{"./nodeBuffer":11,"./support":17,"./utils":21}],21:[function(t,e,n){"use strict";var r=t("./support"),i=t("./compressions"),a=t("./nodeBuffer");function s(t){return t}function o(t,e){for(var n=0;n<t.length;++n)e[n]=255&t.charCodeAt(n);return e}function $(t){var e=65536,r=[],i=t.length,s=n.getTypeOf(t),o=0,$=!0;try{switch(s){case"uint8array":String.fromCharCode.apply(null,new Uint8Array(0));break;case"nodebuffer":String.fromCharCode.apply(null,a(0))}}catch(f){$=!1}if(!$){for(var d="",h=0;h<t.length;h++)d+=String.fromCharCode(t[h]);return d}for(;o<i&&e>1;)try{"array"===s||"nodebuffer"===s?r.push(String.fromCharCode.apply(null,t.slice(o,Math.min(o+e,i)))):r.push(String.fromCharCode.apply(null,t.subarray(o,Math.min(o+e,i)))),o+=e}catch(l){e=Math.floor(e/2)}return r.join("")}function f(t,e){for(var n=0;n<t.length;n++)e[n]=t[n];return e}n.string2binary=function(t){for(var e="",n=0;n<t.length;n++)e+=String.fromCharCode(255&t.charCodeAt(n));return e},n.arrayBuffer2Blob=function(t,e){n.checkSupport("blob"),e=e||"application/zip";try{return new Blob([t],{type:e})}catch(r){try{var i=new(window.BlobBuilder||window.WebKitBlobBuilder||window.MozBlobBuilder||window.MSBlobBuilder);return i.append(t),i.getBlob(e)}catch(a){throw Error("Bug : can't construct the Blob.")}}},n.applyFromCharCode=$;var d={};d.string={string:s,array:function(t){return o(t,Array(t.length))},arraybuffer:function(t){return d.string.uint8array(t).buffer},uint8array:function(t){return o(t,new Uint8Array(t.length))},nodebuffer:function(t){return o(t,a(t.length))}},d.array={string:$,array:s,arraybuffer:function(t){return new Uint8Array(t).buffer},uint8array:function(t){return new Uint8Array(t)},nodebuffer:function(t){return a(t)}},d.arraybuffer={string:function(t){return $(new Uint8Array(t))},array:function(t){return f(new Uint8Array(t),Array(t.byteLength))},arraybuffer:s,uint8array:function(t){return new Uint8Array(t)},nodebuffer:function(t){return a(new Uint8Array(t))}},d.uint8array={string:$,array:function(t){return f(t,Array(t.length))},arraybuffer:function(t){return t.buffer},uint8array:s,nodebuffer:function(t){return a(t)}},d.nodebuffer={string:$,array:function(t){return f(t,Array(t.length))},arraybuffer:function(t){return d.nodebuffer.uint8array(t).buffer},uint8array:function(t){return f(t,new Uint8Array(t.length))},nodebuffer:s},n.transformTo=function(t,e){return(e||(e=""),t)?(n.checkSupport(t),d[n.getTypeOf(e)][t](e)):e},n.getTypeOf=function(t){return"string"==typeof t?"string":"[object Array]"===Object.prototype.toString.call(t)?"array":r.nodebuffer&&a.test(t)?"nodebuffer":r.uint8array&&t instanceof Uint8Array?"uint8array":r.arraybuffer&&t instanceof ArrayBuffer?"arraybuffer":void 0},n.checkSupport=function(t){if(!r[t.toLowerCase()])throw Error(t+" is not supported by this browser")},n.MAX_VALUE_16BITS=65535,n.MAX_VALUE_32BITS=-1,n.pretty=function(t){var e,n,r="";for(n=0;n<(t||"").length;n++)r+="\\x"+((e=t.charCodeAt(n))<16?"0":"")+e.toString(16).toUpperCase();return r},n.findCompression=function(t){for(var e in i)if(i.hasOwnProperty(e)&&i[e].magic===t)return i[e];return null},n.isRegExp=function(t){return"[object RegExp]"===Object.prototype.toString.call(t)}},{"./compressions":3,"./nodeBuffer":11,"./support":17}],22:[function(t,e,n){"use strict";var r=t("./stringReader"),i=t("./nodeBufferReader"),a=t("./uint8ArrayReader"),s=t("./utils"),o=t("./signature"),$=t("./zipEntry"),f=t("./support"),d=t("./object");function h(t,e){this.files=[],this.loadOptions=e,t&&this.load(t)}h.prototype={checkSignature:function(t){var e=this.reader.readString(4);if(e!==t)throw Error("Corrupted zip or bug : unexpected signature ("+s.pretty(e)+", expected "+s.pretty(t)+")")},readBlockEndOfCentral:function(){this.diskNumber=this.reader.readInt(2),this.diskWithCentralDirStart=this.reader.readInt(2),this.centralDirRecordsOnThisDisk=this.reader.readInt(2),this.centralDirRecords=this.reader.readInt(2),this.centralDirSize=this.reader.readInt(4),this.centralDirOffset=this.reader.readInt(4),this.zipCommentLength=this.reader.readInt(2),this.zipComment=this.reader.readString(this.zipCommentLength),this.zipComment=d.utf8decode(this.zipComment)},readBlockZip64EndOfCentral:function(){this.zip64EndOfCentralSize=this.reader.readInt(8),this.versionMadeBy=this.reader.readString(2),this.versionNeeded=this.reader.readInt(2),this.diskNumber=this.reader.readInt(4),this.diskWithCentralDirStart=this.reader.readInt(4),this.centralDirRecordsOnThisDisk=this.reader.readInt(8),this.centralDirRecords=this.reader.readInt(8),this.centralDirSize=this.reader.readInt(8),this.centralDirOffset=this.reader.readInt(8),this.zip64ExtensibleData={};for(var t,e,n,r=this.zip64EndOfCentralSize-44;0<r;)t=this.reader.readInt(2),e=this.reader.readInt(4),n=this.reader.readString(e),this.zip64ExtensibleData[t]={id:t,length:e,value:n}},readBlockZip64EndOfCentralLocator:function(){if(this.diskWithZip64CentralDirStart=this.reader.readInt(4),this.relativeOffsetEndOfZip64CentralDir=this.reader.readInt(8),this.disksCount=this.reader.readInt(4),this.disksCount>1)throw Error("Multi-volumes zip are not supported")},readLocalFiles:function(){var t,e;for(t=0;t<this.files.length;t++)e=this.files[t],this.reader.setIndex(e.localHeaderOffset),this.checkSignature(o.LOCAL_FILE_HEADER),e.readLocalPart(this.reader),e.handleUTF8(),e.processAttributes()},readCentralDir:function(){var t;for(this.reader.setIndex(this.centralDirOffset);this.reader.readString(4)===o.CENTRAL_FILE_HEADER;)(t=new $({zip64:this.zip64},this.loadOptions)).readCentralPart(this.reader),this.files.push(t)},readEndOfCentral:function(){var t=this.reader.lastIndexOfSignature(o.CENTRAL_DIRECTORY_END);if(-1===t){var e=!0;try{this.reader.setIndex(0),this.checkSignature(o.LOCAL_FILE_HEADER),e=!1}catch(n){}if(e)throw Error("Can't find end of central directory : is this a zip file ? If it is, see http://stuk.github.io/jszip/documentation/howto/read_zip.html");throw Error("Corrupted zip : can't find end of central directory")}if(this.reader.setIndex(t),this.checkSignature(o.CENTRAL_DIRECTORY_END),this.readBlockEndOfCentral(),this.diskNumber===s.MAX_VALUE_16BITS||this.diskWithCentralDirStart===s.MAX_VALUE_16BITS||this.centralDirRecordsOnThisDisk===s.MAX_VALUE_16BITS||this.centralDirRecords===s.MAX_VALUE_16BITS||this.centralDirSize===s.MAX_VALUE_32BITS||this.centralDirOffset===s.MAX_VALUE_32BITS){if(this.zip64=!0,-1===(t=this.reader.lastIndexOfSignature(o.ZIP64_CENTRAL_DIRECTORY_LOCATOR)))throw Error("Corrupted zip : can't find the ZIP64 end of central directory locator");this.reader.setIndex(t),this.checkSignature(o.ZIP64_CENTRAL_DIRECTORY_LOCATOR),this.readBlockZip64EndOfCentralLocator(),this.reader.setIndex(this.relativeOffsetEndOfZip64CentralDir),this.checkSignature(o.ZIP64_CENTRAL_DIRECTORY_END),this.readBlockZip64EndOfCentral()}},prepareReader:function(t){var e=s.getTypeOf(t);"string"!==e||f.uint8array?"nodebuffer"===e?this.reader=new i(t):this.reader=new a(s.transformTo("uint8array",t)):this.reader=new r(t,this.loadOptions.optimizedBinaryString)},load:function(t){this.prepareReader(t),this.readEndOfCentral(),this.readCentralDir(),this.readLocalFiles()}},e.exports=h},{"./nodeBufferReader":12,"./object":13,"./signature":14,"./stringReader":15,"./support":17,"./uint8ArrayReader":18,"./utils":21,"./zipEntry":23}],23:[function(t,e,n){"use strict";var r=t("./stringReader"),i=t("./utils"),a=t("./compressedObject"),s=t("./object");function o(t,e){this.options=t,this.loadOptions=e}o.prototype={isEncrypted:function(){return(1&this.bitFlag)==1},useUTF8:function(){return(2048&this.bitFlag)==2048},prepareCompressedContent:function(t,e,n){return function(){var r=t.index;t.setIndex(e);var i=t.readData(n);return t.setIndex(r),i}},prepareContent:function(t,e,n,r,a){return function(){var t=i.transformTo(r.uncompressInputType,this.getCompressedContent()),e=r.uncompress(t);if(e.length!==a)throw Error("Bug : uncompressed data size mismatch");return e}},readLocalPart:function(t){var e,n;if(t.skip(22),this.fileNameLength=t.readInt(2),n=t.readInt(2),this.fileName=t.readString(this.fileNameLength),t.skip(n),-1==this.compressedSize||-1==this.uncompressedSize)throw Error("Bug or corrupted zip : didn't get enough informations from the central directory (compressedSize == -1 || uncompressedSize == -1)");if(null===(e=i.findCompression(this.compressionMethod)))throw Error("Corrupted zip : compression "+i.pretty(this.compressionMethod)+" unknown (inner file : "+this.fileName+")");if(this.decompressed=new a,this.decompressed.compressedSize=this.compressedSize,this.decompressed.uncompressedSize=this.uncompressedSize,this.decompressed.crc32=this.crc32,this.decompressed.compressionMethod=this.compressionMethod,this.decompressed.getCompressedContent=this.prepareCompressedContent(t,t.index,this.compressedSize,e),this.decompressed.getContent=this.prepareContent(t,t.index,this.compressedSize,e,this.uncompressedSize),this.loadOptions.checkCRC32&&(this.decompressed=i.transformTo("string",this.decompressed.getContent()),s.crc32(this.decompressed)!==this.crc32))throw Error("Corrupted zip : CRC32 mismatch")},readCentralPart:function(t){if(this.versionMadeBy=t.readInt(2),this.versionNeeded=t.readInt(2),this.bitFlag=t.readInt(2),this.compressionMethod=t.readString(2),this.date=t.readDate(),this.crc32=t.readInt(4),this.compressedSize=t.readInt(4),this.uncompressedSize=t.readInt(4),this.fileNameLength=t.readInt(2),this.extraFieldsLength=t.readInt(2),this.fileCommentLength=t.readInt(2),this.diskNumberStart=t.readInt(2),this.internalFileAttributes=t.readInt(2),this.externalFileAttributes=t.readInt(4),this.localHeaderOffset=t.readInt(4),this.isEncrypted())throw Error("Encrypted zip are not supported");this.fileName=t.readString(this.fileNameLength),this.readExtraFields(t),this.parseZIP64ExtraField(t),this.fileComment=t.readString(this.fileCommentLength)},processAttributes:function(){this.unixPermissions=null,this.dosPermissions=null;var t=this.versionMadeBy>>8;this.dir=!!(16&this.externalFileAttributes),0===t&&(this.dosPermissions=63&this.externalFileAttributes),3===t&&(this.unixPermissions=this.externalFileAttributes>>16&65535),this.dir||"/"!==this.fileName.slice(-1)||(this.dir=!0)},parseZIP64ExtraField:function(t){if(this.extraFields[1]){var e=new r(this.extraFields[1].value);this.uncompressedSize===i.MAX_VALUE_32BITS&&(this.uncompressedSize=e.readInt(8)),this.compressedSize===i.MAX_VALUE_32BITS&&(this.compressedSize=e.readInt(8)),this.localHeaderOffset===i.MAX_VALUE_32BITS&&(this.localHeaderOffset=e.readInt(8)),this.diskNumberStart===i.MAX_VALUE_32BITS&&(this.diskNumberStart=e.readInt(4))}},readExtraFields:function(t){var e,n,r,i=t.index;for(this.extraFields=this.extraFields||{};t.index<i+this.extraFieldsLength;)e=t.readInt(2),n=t.readInt(2),r=t.readString(n),this.extraFields[e]={id:e,length:n,value:r}},handleUTF8:function(){if(this.useUTF8())this.fileName=s.utf8decode(this.fileName),this.fileComment=s.utf8decode(this.fileComment);else{var t=this.findExtraFieldUnicodePath();null!==t&&(this.fileName=t);var e=this.findExtraFieldUnicodeComment();null!==e&&(this.fileComment=e)}},findExtraFieldUnicodePath:function(){var t=this.extraFields[28789];if(t){var e=new r(t.value);return 1!==e.readInt(1)||s.crc32(this.fileName)!==e.readInt(4)?null:s.utf8decode(e.readString(t.length-5))}return null},findExtraFieldUnicodeComment:function(){var t=this.extraFields[25461];if(t){var e=new r(t.value);return 1!==e.readInt(1)||s.crc32(this.fileComment)!==e.readInt(4)?null:s.utf8decode(e.readString(t.length-5))}return null}},e.exports=o},{"./compressedObject":2,"./object":13,"./stringReader":15,"./utils":21}],24:[function(t,e,n){"use strict";var r=t("./lib/utils/common").assign,i=t("./lib/deflate"),a=t("./lib/inflate"),s=t("./lib/zlib/constants"),o={};r(o,i,a,s),e.exports=o},{"./lib/deflate":25,"./lib/inflate":26,"./lib/utils/common":27,"./lib/zlib/constants":30}],25:[function(t,e,n){"use strict";var r=t("./zlib/deflate.js"),i=t("./utils/common"),a=t("./utils/strings"),s=t("./zlib/messages"),o=t("./zlib/zstream"),$=function(t){this.options=i.assign({level:-1,method:8,chunkSize:16384,windowBits:15,memLevel:8,strategy:0,to:""},t||{});var e=this.options;e.raw&&e.windowBits>0?e.windowBits=-e.windowBits:e.gzip&&e.windowBits>0&&e.windowBits<16&&(e.windowBits+=16),this.err=0,this.msg="",this.ended=!1,this.chunks=[],this.strm=new o,this.strm.avail_out=0;var n=r.deflateInit2(this.strm,e.level,e.method,e.windowBits,e.memLevel,e.strategy);if(0!==n)throw Error(s[n]);e.header&&r.deflateSetHeader(this.strm,e.header)};function f(t,e){var n=new $(e);if(n.push(t,!0),n.err)throw n.msg;return n.result}$.prototype.push=function(t,e){var n,s,o=this.strm,$=this.options.chunkSize;if(this.ended)return!1;s=e===~~e?e:!0===e?4:0,"string"==typeof t?o.input=a.string2buf(t):o.input=t,o.next_in=0,o.avail_in=o.input.length;do{if(0===o.avail_out&&(o.output=new i.Buf8($),o.next_out=0,o.avail_out=$),1!==(n=r.deflate(o,s))&&0!==n)return this.onEnd(n),this.ended=!0,!1;(0===o.avail_out||0===o.avail_in&&4===s)&&("string"===this.options.to?this.onData(a.buf2binstring(i.shrinkBuf(o.output,o.next_out))):this.onData(i.shrinkBuf(o.output,o.next_out)))}while((o.avail_in>0||0===o.avail_out)&&1!==n);return 4!==s||(n=r.deflateEnd(this.strm),this.onEnd(n),this.ended=!0,0===n)},$.prototype.onData=function(t){this.chunks.push(t)},$.prototype.onEnd=function(t){0===t&&("string"===this.options.to?this.result=this.chunks.join(""):this.result=i.flattenChunks(this.chunks)),this.chunks=[],this.err=t,this.msg=this.strm.msg},n.Deflate=$,n.deflate=f,n.deflateRaw=function t(e,n){return(n=n||{}).raw=!0,f(e,n)},n.gzip=function t(e,n){return(n=n||{}).gzip=!0,f(e,n)}},{"./utils/common":27,"./utils/strings":28,"./zlib/deflate.js":32,"./zlib/messages":37,"./zlib/zstream":39}],26:[function(t,e,n){"use strict";var r=t("./zlib/inflate.js"),i=t("./utils/common"),a=t("./utils/strings"),s=t("./zlib/constants"),o=t("./zlib/messages"),$=t("./zlib/zstream"),f=t("./zlib/gzheader"),d=function(t){this.options=i.assign({chunkSize:16384,windowBits:0,to:""},t||{});var e=this.options;e.raw&&e.windowBits>=0&&e.windowBits<16&&(e.windowBits=-e.windowBits,0===e.windowBits&&(e.windowBits=-15)),e.windowBits>=0&&e.windowBits<16&&!(t&&t.windowBits)&&(e.windowBits+=32),e.windowBits>15&&e.windowBits<48&&(15&e.windowBits)==0&&(e.windowBits|=15),this.err=0,this.msg="",this.ended=!1,this.chunks=[],this.strm=new $,this.strm.avail_out=0;var n=r.inflateInit2(this.strm,e.windowBits);if(n!==s.Z_OK)throw Error(o[n]);this.header=new f,r.inflateGetHeader(this.strm,this.header)};function h(t,e){var n=new d(e);if(n.push(t,!0),n.err)throw n.msg;return n.result}d.prototype.push=function(t,e){var n,o,$,f,d,h=this.strm,l=this.options.chunkSize;if(this.ended)return!1;o=e===~~e?e:!0===e?s.Z_FINISH:s.Z_NO_FLUSH,"string"==typeof t?h.input=a.binstring2buf(t):h.input=t,h.next_in=0,h.avail_in=h.input.length;do{if(0===h.avail_out&&(h.output=new i.Buf8(l),h.next_out=0,h.avail_out=l),(n=r.inflate(h,s.Z_NO_FLUSH))!==s.Z_STREAM_END&&n!==s.Z_OK)return this.onEnd(n),this.ended=!0,!1;h.next_out&&(0===h.avail_out||n===s.Z_STREAM_END||0===h.avail_in&&o===s.Z_FINISH)&&("string"===this.options.to?($=a.utf8border(h.output,h.next_out),f=h.next_out-$,d=a.buf2string(h.output,$),h.next_out=f,h.avail_out=l-f,f&&i.arraySet(h.output,h.output,$,f,0),this.onData(d)):this.onData(i.shrinkBuf(h.output,h.next_out)))}while(h.avail_in>0&&n!==s.Z_STREAM_END);return n===s.Z_STREAM_END&&(o=s.Z_FINISH),o!==s.Z_FINISH||(n=r.inflateEnd(this.strm),this.onEnd(n),this.ended=!0,n===s.Z_OK)},d.prototype.onData=function(t){this.chunks.push(t)},d.prototype.onEnd=function(t){t===s.Z_OK&&("string"===this.options.to?this.result=this.chunks.join(""):this.result=i.flattenChunks(this.chunks)),this.chunks=[],this.err=t,this.msg=this.strm.msg},n.Inflate=d,n.inflate=h,n.inflateRaw=function t(e,n){return(n=n||{}).raw=!0,h(e,n)},n.ungzip=h},{"./utils/common":27,"./utils/strings":28,"./zlib/constants":30,"./zlib/gzheader":33,"./zlib/inflate.js":35,"./zlib/messages":37,"./zlib/zstream":39}],27:[function(t,e,n){"use strict";var r="undefined"!=typeof Uint8Array&&"undefined"!=typeof Uint16Array&&"undefined"!=typeof Int32Array;n.assign=function(t){for(var e=Array.prototype.slice.call(arguments,1);e.length;){var n=e.shift();if(n){if("object"!=typeof n)throw TypeError(n+"must be non-object");for(var r in n)n.hasOwnProperty(r)&&(t[r]=n[r])}}return t},n.shrinkBuf=function(t,e){return t.length===e?t:t.subarray?t.subarray(0,e):(t.length=e,t)};var i={arraySet:function(t,e,n,r,i){if(e.subarray&&t.subarray){t.set(e.subarray(n,n+r),i);return}for(var a=0;a<r;a++)t[i+a]=e[n+a]},flattenChunks:function(t){var e,n,r,i,a,s;for(e=0,r=0,n=t.length;e<n;e++)r+=t[e].length;for(e=0,s=new Uint8Array(r),i=0,n=t.length;e<n;e++)a=t[e],s.set(a,i),i+=a.length;return s}},a={arraySet:function(t,e,n,r,i){for(var a=0;a<r;a++)t[i+a]=e[n+a]},flattenChunks:function(t){return[].concat.apply([],t)}};n.setTyped=function(t){t?(n.Buf8=Uint8Array,n.Buf16=Uint16Array,n.Buf32=Int32Array,n.assign(n,i)):(n.Buf8=Array,n.Buf16=Array,n.Buf32=Array,n.assign(n,a))},n.setTyped(r)},{}],28:[function(t,e,n){"use strict";var r=t("./common"),i=!0,a=!0;try{String.fromCharCode.apply(null,[0])}catch(s){i=!1}try{String.fromCharCode.apply(null,new Uint8Array(1))}catch(o){a=!1}for(var $=new r.Buf8(256),f=0;f<256;f++)$[f]=f>=252?6:f>=248?5:f>=240?4:f>=224?3:f>=192?2:1;function d(t,e){if(e<65537&&(t.subarray&&a||!t.subarray&&i))return String.fromCharCode.apply(null,r.shrinkBuf(t,e));for(var n="",s=0;s<e;s++)n+=String.fromCharCode(t[s]);return n}$[254]=$[254]=1,n.string2buf=function(t){var e,n,i,a,s,o=t.length,$=0;for(a=0;a<o;a++)(64512&(n=t.charCodeAt(a)))==55296&&a+1<o&&(64512&(i=t.charCodeAt(a+1)))==56320&&(n=65536+(n-55296<<10)+(i-56320),a++),$+=n<128?1:n<2048?2:n<65536?3:4;for(s=0,e=new r.Buf8($),a=0;s<$;a++)(64512&(n=t.charCodeAt(a)))==55296&&a+1<o&&(64512&(i=t.charCodeAt(a+1)))==56320&&(n=65536+(n-55296<<10)+(i-56320),a++),n<128?e[s++]=n:n<2048?(e[s++]=192|n>>>6,e[s++]=128|63&n):n<65536?(e[s++]=224|n>>>12,e[s++]=128|n>>>6&63,e[s++]=128|63&n):(e[s++]=240|n>>>18,e[s++]=128|n>>>12&63,e[s++]=128|n>>>6&63,e[s++]=128|63&n);return e},n.buf2binstring=function(t){return d(t,t.length)},n.binstring2buf=function(t){for(var e=new r.Buf8(t.length),n=0,i=e.length;n<i;n++)e[n]=t.charCodeAt(n);return e},n.buf2string=function(t,e){var n,r,i,a,s=e||t.length,o=Array(2*s);for(r=0,n=0;n<s;){if((i=t[n++])<128){o[r++]=i;continue}if((a=$[i])>4){o[r++]=65533,n+=a-1;continue}for(i&=2===a?31:3===a?15:7;a>1&&n<s;)i=i<<6|63&t[n++],a--;if(a>1){o[r++]=65533;continue}i<65536?o[r++]=i:(i-=65536,o[r++]=55296|i>>10&1023,o[r++]=56320|1023&i)}return d(o,r)},n.utf8border=function(t,e){var n;for((e=e||t.length)>t.length&&(e=t.length),n=e-1;n>=0&&(192&t[n])==128;)n--;return n<0||0===n?e:n+$[t[n]]>e?n:e}},{"./common":27}],29:[function(t,e,n){"use strict";e.exports=function t(e,n,r,i){for(var a=65535&e|0,s=e>>>16&65535|0,o=0;0!==r;){o=r>2e3?2e3:r,r-=o;do s=s+(a=a+n[i++]|0)|0;while(--o);a%=65521,s%=65521}return a|s<<16|0}},{}],30:[function(t,e,n){e.exports={Z_NO_FLUSH:0,Z_PARTIAL_FLUSH:1,Z_SYNC_FLUSH:2,Z_FULL_FLUSH:3,Z_FINISH:4,Z_BLOCK:5,Z_TREES:6,Z_OK:0,Z_STREAM_END:1,Z_NEED_DICT:2,Z_ERRNO:-1,Z_STREAM_ERROR:-2,Z_DATA_ERROR:-3,Z_BUF_ERROR:-5,Z_NO_COMPRESSION:0,Z_BEST_SPEED:1,Z_BEST_COMPRESSION:9,Z_DEFAULT_COMPRESSION:-1,Z_FILTERED:1,Z_HUFFMAN_ONLY:2,Z_RLE:3,Z_FIXED:4,Z_DEFAULT_STRATEGY:0,Z_BINARY:0,Z_TEXT:1,Z_UNKNOWN:2,Z_DEFLATED:8}},{}],31:[function(t,e,n){"use strict";var r=function t(){for(var e,n=[],r=0;r<256;r++){e=r;for(var i=0;i<8;i++)e=1&e?3988292384^e>>>1:e>>>1;n[r]=e}return n}();e.exports=function t(e,n,i,a){var s=r,o=a+i;e^=-1;for(var $=a;$<o;$++)e=e>>>8^s[(e^n[$])&255];return -1^e}},{}],32:[function(t,e,n){"use strict";var r,i=t("../utils/common"),a=t("./trees"),s=t("./adler32"),o=t("./crc32"),$=t("./messages"),f=573;function d(t,e){return t.msg=$[e],e}function h(t){return(t<<1)-(t>4?9:0)}function l(t){for(var e=t.length;--e>=0;)t[e]=0}function u(t){var e=t.state,n=e.pending;n>t.avail_out&&(n=t.avail_out),0!==n&&(i.arraySet(t.output,e.pending_buf,e.pending_out,n,t.next_out),t.next_out+=n,e.pending_out+=n,t.total_out+=n,t.avail_out-=n,e.pending-=n,0===e.pending&&(e.pending_out=0))}function c(t,e){a._tr_flush_block(t,t.block_start>=0?t.block_start:-1,t.strstart-t.block_start,e),t.block_start=t.strstart,u(t.strm)}function _(t,e){t.pending_buf[t.pending++]=e}function x(t,e){t.pending_buf[t.pending++]=e>>>8&255,t.pending_buf[t.pending++]=255&e}function p(t,e,n,r){var a=t.avail_in;return(a>r&&(a=r),0===a)?0:(t.avail_in-=a,i.arraySet(e,t.input,t.next_in,a,n),1===t.state.wrap?t.adler=s(t.adler,e,a,n):2===t.state.wrap&&(t.adler=o(t.adler,e,a,n)),t.next_in+=a,t.total_in+=a,a)}function m(t,e){var n,r,i=t.max_chain_length,a=t.strstart,s=t.prev_length,o=t.nice_match,$=t.strstart>t.w_size-262?t.strstart-(t.w_size-262):0,f=t.window,d=t.w_mask,h=t.prev,l=t.strstart+258,u=f[a+s-1],c=f[a+s];t.prev_length>=t.good_match&&(i>>=2),o>t.lookahead&&(o=t.lookahead);do{if(f[(n=e)+s]!==c||f[n+s-1]!==u||f[n]!==f[a]||f[++n]!==f[a+1])continue;a+=2,n++;do;while(f[++a]===f[++n]&&f[++a]===f[++n]&&f[++a]===f[++n]&&f[++a]===f[++n]&&f[++a]===f[++n]&&f[++a]===f[++n]&&f[++a]===f[++n]&&f[++a]===f[++n]&&a<l);if(r=258-(l-a),a=l-258,r>s){if(t.match_start=e,s=r,r>=o)break;u=f[a+s-1],c=f[a+s]}}while((e=h[e&d])>$&&0!=--i);return s<=t.lookahead?s:t.lookahead}function g(t){var e,n,r,a,s,o=t.w_size;do{if(a=t.window_size-t.lookahead-t.strstart,t.strstart>=o+(o-262)){i.arraySet(t.window,t.window,o,o,0),t.match_start-=o,t.strstart-=o,t.block_start-=o,e=n=t.hash_size;do r=t.head[--e],t.head[e]=r>=o?r-o:0;while(--n);e=n=o;do r=t.prev[--e],t.prev[e]=r>=o?r-o:0;while(--n);a+=o}if(0===t.strm.avail_in)break;if(n=p(t.strm,t.window,t.strstart+t.lookahead,a),t.lookahead+=n,t.lookahead+t.insert>=3)for(s=t.strstart-t.insert,t.ins_h=t.window[s],t.ins_h=(t.ins_h<<t.hash_shift^t.window[s+1])&t.hash_mask;t.insert&&(t.ins_h=(t.ins_h<<t.hash_shift^t.window[s+3-1])&t.hash_mask,t.prev[s&t.w_mask]=t.head[t.ins_h],t.head[t.ins_h]=s,s++,t.insert--,!(t.lookahead+t.insert<3)););}while(t.lookahead<262&&0!==t.strm.avail_in)}function b(t,e){for(var n,r;;){if(t.lookahead<262){if(g(t),t.lookahead<262&&0===e)return 1;if(0===t.lookahead)break}if(n=0,t.lookahead>=3&&(t.ins_h=(t.ins_h<<t.hash_shift^t.window[t.strstart+3-1])&t.hash_mask,n=t.prev[t.strstart&t.w_mask]=t.head[t.ins_h],t.head[t.ins_h]=t.strstart),0!==n&&t.strstart-n<=t.w_size-262&&(t.match_length=m(t,n)),t.match_length>=3){if(r=a._tr_tally(t,t.strstart-t.match_start,t.match_length-3),t.lookahead-=t.match_length,t.match_length<=t.max_lazy_match&&t.lookahead>=3){t.match_length--;do t.strstart++,t.ins_h=(t.ins_h<<t.hash_shift^t.window[t.strstart+3-1])&t.hash_mask,n=t.prev[t.strstart&t.w_mask]=t.head[t.ins_h],t.head[t.ins_h]=t.strstart;while(0!=--t.match_length);t.strstart++}else t.strstart+=t.match_length,t.match_length=0,t.ins_h=t.window[t.strstart],t.ins_h=(t.ins_h<<t.hash_shift^t.window[t.strstart+1])&t.hash_mask}else r=a._tr_tally(t,0,t.window[t.strstart]),t.lookahead--,t.strstart++;if(r&&(c(t,!1),0===t.strm.avail_out))return 1}return(t.insert=t.strstart<2?t.strstart:2,4===e)?(c(t,!0),0===t.strm.avail_out)?3:4:t.last_lit&&(c(t,!1),0===t.strm.avail_out)?1:2}function v(t,e){for(var n,r,i;;){if(t.lookahead<262){if(g(t),t.lookahead<262&&0===e)return 1;if(0===t.lookahead)break}if(n=0,t.lookahead>=3&&(t.ins_h=(t.ins_h<<t.hash_shift^t.window[t.strstart+3-1])&t.hash_mask,n=t.prev[t.strstart&t.w_mask]=t.head[t.ins_h],t.head[t.ins_h]=t.strstart),t.prev_length=t.match_length,t.prev_match=t.match_start,t.match_length=2,0!==n&&t.prev_length<t.max_lazy_match&&t.strstart-n<=t.w_size-262&&(t.match_length=m(t,n),t.match_length<=5&&(1===t.strategy||3===t.match_length&&t.strstart-t.match_start>4096)&&(t.match_length=2)),t.prev_length>=3&&t.match_length<=t.prev_length){i=t.strstart+t.lookahead-3,r=a._tr_tally(t,t.strstart-1-t.prev_match,t.prev_length-3),t.lookahead-=t.prev_length-1,t.prev_length-=2;do++t.strstart<=i&&(t.ins_h=(t.ins_h<<t.hash_shift^t.window[t.strstart+3-1])&t.hash_mask,n=t.prev[t.strstart&t.w_mask]=t.head[t.ins_h],t.head[t.ins_h]=t.strstart);while(0!=--t.prev_length);if(t.match_available=0,t.match_length=2,t.strstart++,r&&(c(t,!1),0===t.strm.avail_out))return 1}else if(t.match_available){if((r=a._tr_tally(t,0,t.window[t.strstart-1]))&&c(t,!1),t.strstart++,t.lookahead--,0===t.strm.avail_out)return 1}else t.match_available=1,t.strstart++,t.lookahead--}return(t.match_available&&(r=a._tr_tally(t,0,t.window[t.strstart-1]),t.match_available=0),t.insert=t.strstart<2?t.strstart:2,4===e)?(c(t,!0),0===t.strm.avail_out)?3:4:t.last_lit&&(c(t,!1),0===t.strm.avail_out)?1:2}var w=function(t,e,n,r,i){this.good_length=t,this.max_lazy=e,this.nice_length=n,this.max_chain=r,this.func=i};function B(){this.strm=null,this.status=0,this.pending_buf=null,this.pending_buf_size=0,this.pending_out=0,this.pending=0,this.wrap=0,this.gzhead=null,this.gzindex=0,this.method=8,this.last_flush=-1,this.w_size=0,this.w_bits=0,this.w_mask=0,this.window=null,this.window_size=0,this.prev=null,this.head=null,this.ins_h=0,this.hash_size=0,this.hash_bits=0,this.hash_mask=0,this.hash_shift=0,this.block_start=0,this.match_length=0,this.prev_match=0,this.match_available=0,this.strstart=0,this.match_start=0,this.lookahead=0,this.prev_length=0,this.max_chain_length=0,this.max_lazy_match=0,this.level=0,this.strategy=0,this.good_match=0,this.nice_match=0,this.dyn_ltree=new i.Buf16(2*f),this.dyn_dtree=new i.Buf16(122),this.bl_tree=new i.Buf16(78),l(this.dyn_ltree),l(this.dyn_dtree),l(this.bl_tree),this.l_desc=null,this.d_desc=null,this.bl_desc=null,this.bl_count=new i.Buf16(16),this.heap=new i.Buf16(573),l(this.heap),this.heap_len=0,this.heap_max=0,this.depth=new i.Buf16(573),l(this.depth),this.l_buf=0,this.lit_bufsize=0,this.last_lit=0,this.d_buf=0,this.opt_len=0,this.static_len=0,this.matches=0,this.insert=0,this.bi_buf=0,this.bi_valid=0}function y(t){var e;return t&&t.state?(t.total_in=t.total_out=0,t.data_type=2,(e=t.state).pending=0,e.pending_out=0,e.wrap<0&&(e.wrap=-e.wrap),e.status=e.wrap?42:113,t.adler=2===e.wrap?0:1,e.last_flush=0,a._tr_init(e),0):d(t,-2)}function k(t){var e,n=y(t);return 0===n&&((e=t.state).window_size=2*e.w_size,l(e.head),e.max_lazy_match=r[e.level].max_lazy,e.good_match=r[e.level].good_length,e.nice_match=r[e.level].nice_length,e.max_chain_length=r[e.level].max_chain,e.strstart=0,e.block_start=0,e.lookahead=0,e.insert=0,e.match_length=e.prev_length=2,e.match_available=0,e.ins_h=0),n}function C(t,e,n,r,a,s){if(!t)return -2;var o=1;if(-1===e&&(e=6),r<0?(o=0,r=-r):r>15&&(o=2,r-=16),a<1||a>9||8!==n||r<8||r>15||e<0||e>9||s<0||s>4)return d(t,-2);8===r&&(r=9);var $=new B;return t.state=$,$.strm=t,$.wrap=o,$.gzhead=null,$.w_bits=r,$.w_size=1<<$.w_bits,$.w_mask=$.w_size-1,$.hash_bits=a+7,$.hash_size=1<<$.hash_bits,$.hash_mask=$.hash_size-1,$.hash_shift=~~(($.hash_bits+3-1)/3),$.window=new i.Buf8(2*$.w_size),$.head=new i.Buf16($.hash_size),$.prev=new i.Buf16($.w_size),$.lit_bufsize=1<<a+6,$.pending_buf_size=4*$.lit_bufsize,$.pending_buf=new i.Buf8($.pending_buf_size),$.d_buf=$.lit_bufsize>>1,$.l_buf=3*$.lit_bufsize,$.level=e,$.strategy=s,$.method=n,k(t)}r=[new w(0,0,0,0,function t(e,n){var r=65535;for(r>e.pending_buf_size-5&&(r=e.pending_buf_size-5);;){if(e.lookahead<=1){if(g(e),0===e.lookahead&&0===n)return 1;if(0===e.lookahead)break}e.strstart+=e.lookahead,e.lookahead=0;var i=e.block_start+r;if((0===e.strstart||e.strstart>=i)&&(e.lookahead=e.strstart-i,e.strstart=i,c(e,!1),0===e.strm.avail_out)||e.strstart-e.block_start>=e.w_size-262&&(c(e,!1),0===e.strm.avail_out))return 1}return(e.insert=0,4===n)?(c(e,!0),0===e.strm.avail_out)?3:4:(e.strstart>e.block_start&&(c(e,!1),e.strm.avail_out),1)}),new w(4,4,8,4,b),new w(4,5,16,8,b),new w(4,6,32,32,b),new w(4,4,16,16,v),new w(8,16,32,32,v),new w(8,16,128,128,v),new w(8,32,128,256,v),new w(32,128,258,1024,v),new w(32,258,258,4096,v)],n.deflateInit=function t(e,n){return C(e,n,8,15,8,0)},n.deflateInit2=C,n.deflateReset=k,n.deflateResetKeep=y,n.deflateSetHeader=function t(e,n){return e&&e.state&&2===e.state.wrap?(e.state.gzhead=n,0):-2},n.deflate=function t(e,n){if(!e||!e.state||n>5||n<0)return e?d(e,-2):-2;if(s=e.state,!e.output||!e.input&&0!==e.avail_in||666===s.status&&4!==n)return d(e,0===e.avail_out?-5:-2);if(s.strm=e,i=s.last_flush,s.last_flush=n,42===s.status){if(2===s.wrap)e.adler=0,_(s,31),_(s,139),_(s,8),s.gzhead?(_(s,(s.gzhead.text?1:0)+(s.gzhead.hcrc?2:0)+(s.gzhead.extra?4:0)+(s.gzhead.name?8:0)+(s.gzhead.comment?16:0)),_(s,255&s.gzhead.time),_(s,s.gzhead.time>>8&255),_(s,s.gzhead.time>>16&255),_(s,s.gzhead.time>>24&255),_(s,9===s.level?2:s.strategy>=2||s.level<2?4:0),_(s,255&s.gzhead.os),s.gzhead.extra&&s.gzhead.extra.length&&(_(s,255&s.gzhead.extra.length),_(s,s.gzhead.extra.length>>8&255)),s.gzhead.hcrc&&(e.adler=o(e.adler,s.pending_buf,s.pending,0)),s.gzindex=0,s.status=69):(_(s,0),_(s,0),_(s,0),_(s,0),_(s,0),_(s,9===s.level?2:s.strategy>=2||s.level<2?4:0),_(s,3),s.status=113);else{var i,s,$,f,p=8+(s.w_bits-8<<4)<<8,m=-1;p|=(m=s.strategy>=2||s.level<2?0:s.level<6?1:6===s.level?2:3)<<6,0!==s.strstart&&(p|=32),p+=31-p%31,s.status=113,x(s,p),0!==s.strstart&&(x(s,e.adler>>>16),x(s,65535&e.adler)),e.adler=1}}if(69===s.status){if(s.gzhead.extra){for($=s.pending;s.gzindex<(65535&s.gzhead.extra.length)&&(s.pending!==s.pending_buf_size||(s.gzhead.hcrc&&s.pending>$&&(e.adler=o(e.adler,s.pending_buf,s.pending-$,$)),u(e),$=s.pending,s.pending!==s.pending_buf_size));)_(s,255&s.gzhead.extra[s.gzindex]),s.gzindex++;s.gzhead.hcrc&&s.pending>$&&(e.adler=o(e.adler,s.pending_buf,s.pending-$,$)),s.gzindex===s.gzhead.extra.length&&(s.gzindex=0,s.status=73)}else s.status=73}if(73===s.status){if(s.gzhead.name){$=s.pending;do{if(s.pending===s.pending_buf_size&&(s.gzhead.hcrc&&s.pending>$&&(e.adler=o(e.adler,s.pending_buf,s.pending-$,$)),u(e),$=s.pending,s.pending===s.pending_buf_size)){f=1;break}f=s.gzindex<s.gzhead.name.length?255&s.gzhead.name.charCodeAt(s.gzindex++):0,_(s,f)}while(0!==f);s.gzhead.hcrc&&s.pending>$&&(e.adler=o(e.adler,s.pending_buf,s.pending-$,$)),0===f&&(s.gzindex=0,s.status=91)}else s.status=91}if(91===s.status){if(s.gzhead.comment){$=s.pending;do{if(s.pending===s.pending_buf_size&&(s.gzhead.hcrc&&s.pending>$&&(e.adler=o(e.adler,s.pending_buf,s.pending-$,$)),u(e),$=s.pending,s.pending===s.pending_buf_size)){f=1;break}f=s.gzindex<s.gzhead.comment.length?255&s.gzhead.comment.charCodeAt(s.gzindex++):0,_(s,f)}while(0!==f);s.gzhead.hcrc&&s.pending>$&&(e.adler=o(e.adler,s.pending_buf,s.pending-$,$)),0===f&&(s.status=103)}else s.status=103}if(103===s.status&&(s.gzhead.hcrc?(s.pending+2>s.pending_buf_size&&u(e),s.pending+2<=s.pending_buf_size&&(_(s,255&e.adler),_(s,e.adler>>8&255),e.adler=0,s.status=113)):s.status=113),0!==s.pending){if(u(e),0===e.avail_out)return s.last_flush=-1,0}else if(0===e.avail_in&&h(n)<=h(i)&&4!==n)return d(e,-5);if(666===s.status&&0!==e.avail_in)return d(e,-5);if(0!==e.avail_in||0!==s.lookahead||0!==n&&666!==s.status){var b=2===s.strategy?function t(e,n){for(var r;;){if(0===e.lookahead&&(g(e),0===e.lookahead)){if(0===n)return 1;break}if(e.match_length=0,r=a._tr_tally(e,0,e.window[e.strstart]),e.lookahead--,e.strstart++,r&&(c(e,!1),0===e.strm.avail_out))return 1}return(e.insert=0,4===n)?(c(e,!0),0===e.strm.avail_out)?3:4:e.last_lit&&(c(e,!1),0===e.strm.avail_out)?1:2}(s,n):3===s.strategy?function t(e,n){for(var r,i,s,o,$=e.window;;){if(e.lookahead<=258){if(g(e),e.lookahead<=258&&0===n)return 1;if(0===e.lookahead)break}if(e.match_length=0,e.lookahead>=3&&e.strstart>0&&(i=$[s=e.strstart-1])===$[++s]&&i===$[++s]&&i===$[++s]){o=e.strstart+258;do;while(i===$[++s]&&i===$[++s]&&i===$[++s]&&i===$[++s]&&i===$[++s]&&i===$[++s]&&i===$[++s]&&i===$[++s]&&s<o);e.match_length=258-(o-s),e.match_length>e.lookahead&&(e.match_length=e.lookahead)}if(e.match_length>=3?(r=a._tr_tally(e,1,e.match_length-3),e.lookahead-=e.match_length,e.strstart+=e.match_length,e.match_length=0):(r=a._tr_tally(e,0,e.window[e.strstart]),e.lookahead--,e.strstart++),r&&(c(e,!1),0===e.strm.avail_out))return 1}return(e.insert=0,4===n)?(c(e,!0),0===e.strm.avail_out)?3:4:e.last_lit&&(c(e,!1),0===e.strm.avail_out)?1:2}(s,n):r[s.level].func(s,n);if((3===b||4===b)&&(s.status=666),1===b||3===b)return 0===e.avail_out&&(s.last_flush=-1),0;if(2===b&&(1===n?a._tr_align(s):5!==n&&(a._tr_stored_block(s,0,0,!1),3===n&&(l(s.head),0===s.lookahead&&(s.strstart=0,s.block_start=0,s.insert=0))),u(e),0===e.avail_out))return s.last_flush=-1,0}return 4!==n?0:s.wrap<=0?1:(2===s.wrap?(_(s,255&e.adler),_(s,e.adler>>8&255),_(s,e.adler>>16&255),_(s,e.adler>>24&255),_(s,255&e.total_in),_(s,e.total_in>>8&255),_(s,e.total_in>>16&255),_(s,e.total_in>>24&255)):(x(s,e.adler>>>16),x(s,65535&e.adler)),u(e),s.wrap>0&&(s.wrap=-s.wrap),0!==s.pending?0:1)},n.deflateEnd=function t(e){var n;return e&&e.state?42!==(n=e.state.status)&&69!==n&&73!==n&&91!==n&&103!==n&&113!==n&&666!==n?d(e,-2):(e.state=null,113===n?d(e,-3):0):-2},n.deflateInfo="pako deflate (from Nodeca project)"},{"../utils/common":27,"./adler32":29,"./crc32":31,"./messages":37,"./trees":38}],33:[function(t,e,n){"use strict";e.exports=function t(){this.text=0,this.time=0,this.xflags=0,this.os=0,this.extra=null,this.extra_len=0,this.name="",this.comment="",this.hcrc=0,this.done=!1}},{}],34:[function(t,e,n){"use strict";e.exports=function t(e,n){var r,i,a,s,o,$,f,d,h,l,u,c,_,x,p,m,g,b,v,w,B,y,k,C,E;r=e.state,i=e.next_in,C=e.input,a=i+(e.avail_in-5),s=e.next_out,E=e.output,o=s-(n-e.avail_out),$=s+(e.avail_out-257),f=r.dmax,d=r.wsize,h=r.whave,l=r.wnext,u=r.window,c=r.hold,_=r.bits,x=r.lencode,p=r.distcode,m=(1<<r.lenbits)-1,g=(1<<r.distbits)-1;top:do for(_<15&&(c+=C[i++]<<_,_+=8,c+=C[i++]<<_,_+=8),b=x[c&m];;){if(c>>>=v=b>>>24,_-=v,0==(v=b>>>16&255))E[s++]=65535&b;else if(16&v)for(w=65535&b,(v&=15)&&(_<v&&(c+=C[i++]<<_,_+=8),w+=c&(1<<v)-1,c>>>=v,_-=v),_<15&&(c+=C[i++]<<_,_+=8,c+=C[i++]<<_,_+=8),b=p[c&g];;){if(c>>>=v=b>>>24,_-=v,16&(v=b>>>16&255)){if(B=65535&b,_<(v&=15)&&(c+=C[i++]<<_,(_+=8)<v&&(c+=C[i++]<<_,_+=8)),(B+=c&(1<<v)-1)>f){e.msg="invalid distance too far back",r.mode=30;break top}if(c>>>=v,_-=v,B>(v=s-o)){if((v=B-v)>h&&r.sane){e.msg="invalid distance too far back",r.mode=30;break top}if(y=0,k=u,0===l){if(y+=d-v,v<w){w-=v;do E[s++]=u[y++];while(--v);y=s-B,k=E}}else if(l<v){if(y+=d+l-v,(v-=l)<w){w-=v;do E[s++]=u[y++];while(--v);if(y=0,l<w){w-=v=l;do E[s++]=u[y++];while(--v);y=s-B,k=E}}}else if(y+=l-v,v<w){w-=v;do E[s++]=u[y++];while(--v);y=s-B,k=E}for(;w>2;)E[s++]=k[y++],E[s++]=k[y++],E[s++]=k[y++],w-=3;w&&(E[s++]=k[y++],w>1&&(E[s++]=k[y++]))}else{y=s-B;do E[s++]=E[y++],E[s++]=E[y++],E[s++]=E[y++],w-=3;while(w>2);w&&(E[s++]=E[y++],w>1&&(E[s++]=E[y++]))}}else if((64&v)==0){b=p[(65535&b)+(c&(1<<v)-1)];continue}else{e.msg="invalid distance code",r.mode=30;break top}break}else if((64&v)==0){b=x[(65535&b)+(c&(1<<v)-1)];continue}else if(32&v){r.mode=12;break top}else{e.msg="invalid literal/length code",r.mode=30;break top}break}while(i<a&&s<$);i-=w=_>>3,_-=w<<3,c&=(1<<_)-1,e.next_in=i,e.next_out=s,e.avail_in=i<a?5+(a-i):5-(i-a),e.avail_out=s<$?257+($-s):257-(s-$),r.hold=c,r.bits=_}},{}],35:[function(t,e,n){"use strict";var r,i,a=t("../utils/common"),s=t("./adler32"),o=t("./crc32"),$=t("./inffast"),f=t("./inftrees");function d(t){return(t>>>24&255)+(t>>>8&65280)+((65280&t)<<8)+((255&t)<<24)}function h(){this.mode=0,this.last=!1,this.wrap=0,this.havedict=!1,this.flags=0,this.dmax=0,this.check=0,this.total=0,this.head=null,this.wbits=0,this.wsize=0,this.whave=0,this.wnext=0,this.window=null,this.hold=0,this.bits=0,this.length=0,this.offset=0,this.extra=0,this.lencode=null,this.distcode=null,this.lenbits=0,this.distbits=0,this.ncode=0,this.nlen=0,this.ndist=0,this.have=0,this.next=null,this.lens=new a.Buf16(320),this.work=new a.Buf16(288),this.lendyn=null,this.distdyn=null,this.sane=0,this.back=0,this.was=0}function l(t){var e;return t&&t.state?(e=t.state,t.total_in=t.total_out=e.total=0,t.msg="",e.wrap&&(t.adler=1&e.wrap),e.mode=1,e.last=0,e.havedict=0,e.dmax=32768,e.head=null,e.hold=0,e.bits=0,e.lencode=e.lendyn=new a.Buf32(852),e.distcode=e.distdyn=new a.Buf32(592),e.sane=1,e.back=-1,0):-2}function u(t){var e;return t&&t.state?((e=t.state).wsize=0,e.whave=0,e.wnext=0,l(t)):-2}function c(t,e){var n,r;return t&&t.state?(r=t.state,e<0?(n=0,e=-e):(n=(e>>4)+1,e<48&&(e&=15)),e&&(e<8||e>15))?-2:(null!==r.window&&r.wbits!==e&&(r.window=null),r.wrap=n,r.wbits=e,u(t)):-2}function _(t,e){var n,r;return t?(r=new h,t.state=r,r.window=null,0!==(n=c(t,e))&&(t.state=null),n):-2}var x=!0;function p(t){if(x){var e;for(r=new a.Buf32(512),i=new a.Buf32(32),e=0;e<144;)t.lens[e++]=8;for(;e<256;)t.lens[e++]=9;for(;e<280;)t.lens[e++]=7;for(;e<288;)t.lens[e++]=8;for(f(1,t.lens,0,288,r,0,t.work,{bits:9}),e=0;e<32;)t.lens[e++]=5;f(2,t.lens,0,32,i,0,t.work,{bits:5}),x=!1}t.lencode=r,t.lenbits=9,t.distcode=i,t.distbits=5}n.inflateReset=u,n.inflateReset2=c,n.inflateResetKeep=l,n.inflateInit=function t(e){return _(e,15)},n.inflateInit2=_,n.inflate=function t(e,n){var r,i,h,l,u,c,_,x,m,g,b,v,w,B,y,k,C,E,D,A,z,F,S,I,T,O,R,L,N,Z,P=0,M=new a.Buf8(4),U=[16,17,18,0,8,7,9,6,10,5,11,4,12,3,13,2,14,1,15];if(!e||!e.state||!e.output||!e.input&&0!==e.avail_in)return -2;12===(_=e.state).mode&&(_.mode=13),b=e.next_out,m=e.output,w=e.avail_out,g=e.next_in,x=e.input,v=e.avail_in,B=_.hold,y=_.bits,k=v,C=w,L=0;inf_leave:for(;;)switch(_.mode){case 1:if(0===_.wrap){_.mode=13;break}for(;y<16;){if(0===v)break inf_leave;v--,B+=x[g++]<<y,y+=8}if(2&_.wrap&&35615===B){_.check=0,M[0]=255&B,M[1]=B>>>8&255,_.check=o(_.check,M,2,0),B=0,y=0,_.mode=2;break}if(_.flags=0,_.head&&(_.head.done=!1),!(1&_.wrap)||(((255&B)<<8)+(B>>8))%31){e.msg="incorrect header check",_.mode=30;break}if((15&B)!=8){e.msg="unknown compression method",_.mode=30;break}if(B>>>=4,y-=4,R=(15&B)+8,0===_.wbits)_.wbits=R;else if(R>_.wbits){e.msg="invalid window size",_.mode=30;break}_.dmax=1<<R,e.adler=_.check=1,_.mode=512&B?10:12,B=0,y=0;break;case 2:for(;y<16;){if(0===v)break inf_leave;v--,B+=x[g++]<<y,y+=8}if(_.flags=B,(255&_.flags)!=8){e.msg="unknown compression method",_.mode=30;break}if(57344&_.flags){e.msg="unknown header flags set",_.mode=30;break}_.head&&(_.head.text=B>>8&1),512&_.flags&&(M[0]=255&B,M[1]=B>>>8&255,_.check=o(_.check,M,2,0)),B=0,y=0,_.mode=3;case 3:for(;y<32;){if(0===v)break inf_leave;v--,B+=x[g++]<<y,y+=8}_.head&&(_.head.time=B),512&_.flags&&(M[0]=255&B,M[1]=B>>>8&255,M[2]=B>>>16&255,M[3]=B>>>24&255,_.check=o(_.check,M,4,0)),B=0,y=0,_.mode=4;case 4:for(;y<16;){if(0===v)break inf_leave;v--,B+=x[g++]<<y,y+=8}_.head&&(_.head.xflags=255&B,_.head.os=B>>8),512&_.flags&&(M[0]=255&B,M[1]=B>>>8&255,_.check=o(_.check,M,2,0)),B=0,y=0,_.mode=5;case 5:if(1024&_.flags){for(;y<16;){if(0===v)break inf_leave;v--,B+=x[g++]<<y,y+=8}_.length=B,_.head&&(_.head.extra_len=B),512&_.flags&&(M[0]=255&B,M[1]=B>>>8&255,_.check=o(_.check,M,2,0)),B=0,y=0}else _.head&&(_.head.extra=null);_.mode=6;case 6:if(1024&_.flags&&((E=_.length)>v&&(E=v),E&&(_.head&&(R=_.head.extra_len-_.length,_.head.extra||(_.head.extra=Array(_.head.extra_len)),a.arraySet(_.head.extra,x,g,E,R)),512&_.flags&&(_.check=o(_.check,x,E,g)),v-=E,g+=E,_.length-=E),_.length))break inf_leave;_.length=0,_.mode=7;case 7:if(2048&_.flags){if(0===v)break inf_leave;E=0;do R=x[g+E++],_.head&&R&&_.length<65536&&(_.head.name+=String.fromCharCode(R));while(R&&E<v);if(512&_.flags&&(_.check=o(_.check,x,E,g)),v-=E,g+=E,R)break inf_leave}else _.head&&(_.head.name=null);_.length=0,_.mode=8;case 8:if(4096&_.flags){if(0===v)break inf_leave;E=0;do R=x[g+E++],_.head&&R&&_.length<65536&&(_.head.comment+=String.fromCharCode(R));while(R&&E<v);if(512&_.flags&&(_.check=o(_.check,x,E,g)),v-=E,g+=E,R)break inf_leave}else _.head&&(_.head.comment=null);_.mode=9;case 9:if(512&_.flags){for(;y<16;){if(0===v)break inf_leave;v--,B+=x[g++]<<y,y+=8}if(B!==(65535&_.check)){e.msg="header crc mismatch",_.mode=30;break}B=0,y=0}_.head&&(_.head.hcrc=_.flags>>9&1,_.head.done=!0),e.adler=_.check=0,_.mode=12;break;case 10:for(;y<32;){if(0===v)break inf_leave;v--,B+=x[g++]<<y,y+=8}e.adler=_.check=d(B),B=0,y=0,_.mode=11;case 11:if(0===_.havedict)return e.next_out=b,e.avail_out=w,e.next_in=g,e.avail_in=v,_.hold=B,_.bits=y,2;e.adler=_.check=1,_.mode=12;case 12:if(5===n||6===n)break inf_leave;case 13:if(_.last){B>>>=7&y,y-=7&y,_.mode=27;break}for(;y<3;){if(0===v)break inf_leave;v--,B+=x[g++]<<y,y+=8}switch(_.last=1&B,y-=1,3&(B>>>=1)){case 0:_.mode=14;break;case 1:if(p(_),_.mode=20,6===n){B>>>=2,y-=2;break inf_leave}break;case 2:_.mode=17;break;case 3:e.msg="invalid block type",_.mode=30}B>>>=2,y-=2;break;case 14:for(B>>>=7&y,y-=7&y;y<32;){if(0===v)break inf_leave;v--,B+=x[g++]<<y,y+=8}if((65535&B)!=(B>>>16^65535)){e.msg="invalid stored block lengths",_.mode=30;break}if(_.length=65535&B,B=0,y=0,_.mode=15,6===n)break inf_leave;case 15:_.mode=16;case 16:if(E=_.length){if(E>v&&(E=v),E>w&&(E=w),0===E)break inf_leave;a.arraySet(m,x,g,E,b),v-=E,g+=E,w-=E,b+=E,_.length-=E;break}_.mode=12;break;case 17:for(;y<14;){if(0===v)break inf_leave;v--,B+=x[g++]<<y,y+=8}if(_.nlen=(31&B)+257,B>>>=5,y-=5,_.ndist=(31&B)+1,B>>>=5,y-=5,_.ncode=(15&B)+4,B>>>=4,y-=4,_.nlen>286||_.ndist>30){e.msg="too many length or distance symbols",_.mode=30;break}_.have=0,_.mode=18;case 18:for(;_.have<_.ncode;){for(;y<3;){if(0===v)break inf_leave;v--,B+=x[g++]<<y,y+=8}_.lens[U[_.have++]]=7&B,B>>>=3,y-=3}for(;_.have<19;)_.lens[U[_.have++]]=0;if(_.lencode=_.lendyn,_.lenbits=7,N={bits:_.lenbits},L=f(0,_.lens,0,19,_.lencode,0,_.work,N),_.lenbits=N.bits,L){e.msg="invalid code lengths set",_.mode=30;break}_.have=0,_.mode=19;case 19:for(;_.have<_.nlen+_.ndist;){for(;z=(P=_.lencode[B&(1<<_.lenbits)-1])>>>24,F=P>>>16&255,S=65535&P,!(z<=y);){if(0===v)break inf_leave;v--,B+=x[g++]<<y,y+=8}if(S<16)B>>>=z,y-=z,_.lens[_.have++]=S;else{if(16===S){for(Z=z+2;y<Z;){if(0===v)break inf_leave;v--,B+=x[g++]<<y,y+=8}if(B>>>=z,y-=z,0===_.have){e.msg="invalid bit length repeat",_.mode=30;break}R=_.lens[_.have-1],E=3+(3&B),B>>>=2,y-=2}else if(17===S){for(Z=z+3;y<Z;){if(0===v)break inf_leave;v--,B+=x[g++]<<y,y+=8}B>>>=z,y-=z,R=0,E=3+(7&B),B>>>=3,y-=3}else{for(Z=z+7;y<Z;){if(0===v)break inf_leave;v--,B+=x[g++]<<y,y+=8}B>>>=z,y-=z,R=0,E=11+(127&B),B>>>=7,y-=7}if(_.have+E>_.nlen+_.ndist){e.msg="invalid bit length repeat",_.mode=30;break}for(;E--;)_.lens[_.have++]=R}}if(30===_.mode)break;if(0===_.lens[256]){e.msg="invalid code -- missing end-of-block",_.mode=30;break}if(_.lenbits=9,N={bits:_.lenbits},L=f(1,_.lens,0,_.nlen,_.lencode,0,_.work,N),_.lenbits=N.bits,L){e.msg="invalid literal/lengths set",_.mode=30;break}if(_.distbits=6,_.distcode=_.distdyn,N={bits:_.distbits},L=f(2,_.lens,_.nlen,_.ndist,_.distcode,0,_.work,N),_.distbits=N.bits,L){e.msg="invalid distances set",_.mode=30;break}if(_.mode=20,6===n)break inf_leave;case 20:_.mode=21;case 21:if(v>=6&&w>=258){e.next_out=b,e.avail_out=w,e.next_in=g,e.avail_in=v,_.hold=B,_.bits=y,$(e,C),b=e.next_out,m=e.output,w=e.avail_out,g=e.next_in,x=e.input,v=e.avail_in,B=_.hold,y=_.bits,12===_.mode&&(_.back=-1);break}for(_.back=0;z=(P=_.lencode[B&(1<<_.lenbits)-1])>>>24,F=P>>>16&255,S=65535&P,!(z<=y);){if(0===v)break inf_leave;v--,B+=x[g++]<<y,y+=8}if(F&&(240&F)==0){for(I=z,T=F,O=S;z=(P=_.lencode[O+((B&(1<<I+T)-1)>>I)])>>>24,F=P>>>16&255,S=65535&P,!(I+z<=y);){if(0===v)break inf_leave;v--,B+=x[g++]<<y,y+=8}B>>>=I,y-=I,_.back+=I}if(B>>>=z,y-=z,_.back+=z,_.length=S,0===F){_.mode=26;break}if(32&F){_.back=-1,_.mode=12;break}if(64&F){e.msg="invalid literal/length code",_.mode=30;break}_.extra=15&F,_.mode=22;case 22:if(_.extra){for(Z=_.extra;y<Z;){if(0===v)break inf_leave;v--,B+=x[g++]<<y,y+=8}_.length+=B&(1<<_.extra)-1,B>>>=_.extra,y-=_.extra,_.back+=_.extra}_.was=_.length,_.mode=23;case 23:for(;z=(P=_.distcode[B&(1<<_.distbits)-1])>>>24,F=P>>>16&255,S=65535&P,!(z<=y);){if(0===v)break inf_leave;v--,B+=x[g++]<<y,y+=8}if((240&F)==0){for(I=z,T=F,O=S;z=(P=_.distcode[O+((B&(1<<I+T)-1)>>I)])>>>24,F=P>>>16&255,S=65535&P,!(I+z<=y);){if(0===v)break inf_leave;v--,B+=x[g++]<<y,y+=8}B>>>=I,y-=I,_.back+=I}if(B>>>=z,y-=z,_.back+=z,64&F){e.msg="invalid distance code",_.mode=30;break}_.offset=S,_.extra=15&F,_.mode=24;case 24:if(_.extra){for(Z=_.extra;y<Z;){if(0===v)break inf_leave;v--,B+=x[g++]<<y,y+=8}_.offset+=B&(1<<_.extra)-1,B>>>=_.extra,y-=_.extra,_.back+=_.extra}if(_.offset>_.dmax){e.msg="invalid distance too far back",_.mode=30;break}_.mode=25;case 25:if(0===w)break inf_leave;if(E=C-w,_.offset>E){if((E=_.offset-E)>_.whave&&_.sane){e.msg="invalid distance too far back",_.mode=30;break}E>_.wnext?(E-=_.wnext,D=_.wsize-E):D=_.wnext-E,E>_.length&&(E=_.length),A=_.window}else A=m,D=b-_.offset,E=_.length;E>w&&(E=w),w-=E,_.length-=E;do m[b++]=A[D++];while(--E);0===_.length&&(_.mode=21);break;case 26:if(0===w)break inf_leave;m[b++]=_.length,w--,_.mode=21;break;case 27:if(_.wrap){for(;y<32;){if(0===v)break inf_leave;v--,B|=x[g++]<<y,y+=8}if(C-=w,e.total_out+=C,_.total+=C,C&&(e.adler=_.check=_.flags?o(_.check,m,C,b-C):s(_.check,m,C,b-C)),C=w,(_.flags?B:d(B))!==_.check){e.msg="incorrect data check",_.mode=30;break}B=0,y=0}_.mode=28;case 28:if(_.wrap&&_.flags){for(;y<32;){if(0===v)break inf_leave;v--,B+=x[g++]<<y,y+=8}if(B!==(4294967295&_.total)){e.msg="incorrect length check",_.mode=30;break}B=0,y=0}_.mode=29;case 29:L=1;break inf_leave;case 30:L=-3;break inf_leave;case 31:return -4;default:return -2}return e.next_out=b,e.avail_out=w,e.next_in=g,e.avail_in=v,_.hold=B,_.bits=y,(_.wsize||C!==e.avail_out&&_.mode<30&&(_.mode<27||4!==n))&&(r=e,i=e.output,h=e.next_out,l=C-e.avail_out,null===(c=r.state).window&&(c.wsize=1<<c.wbits,c.wnext=0,c.whave=0,c.window=new a.Buf8(c.wsize)),l>=c.wsize?(a.arraySet(c.window,i,h-c.wsize,c.wsize,0),c.wnext=0,c.whave=c.wsize):((u=c.wsize-c.wnext)>l&&(u=l),a.arraySet(c.window,i,h-l,u,c.wnext),(l-=u)?(a.arraySet(c.window,i,h-l,l,0),c.wnext=l,c.whave=c.wsize):(c.wnext+=u,c.wnext===c.wsize&&(c.wnext=0),c.whave<c.wsize&&(c.whave+=u)))),k-=e.avail_in,C-=e.avail_out,e.total_in+=k,e.total_out+=C,_.total+=C,_.wrap&&C&&(e.adler=_.check=_.flags?o(_.check,m,C,e.next_out-C):s(_.check,m,C,e.next_out-C)),e.data_type=_.bits+(_.last?64:0)+(12===_.mode?128:0)+(20===_.mode||15===_.mode?256:0),(0===k&&0===C||4===n)&&0===L&&(L=-5),L},n.inflateEnd=function t(e){if(!e||!e.state)return -2;var n=e.state;return n.window&&(n.window=null),e.state=null,0},n.inflateGetHeader=function t(e,n){var r;return e&&e.state&&(2&(r=e.state).wrap)!=0?(r.head=n,n.done=!1,0):-2},n.inflateInfo="pako inflate (from Nodeca project)"},{"../utils/common":27,"./adler32":29,"./crc32":31,"./inffast":34,"./inftrees":36}],36:[function(t,e,n){"use strict";var r=t("../utils/common"),i=[3,4,5,6,7,8,9,10,11,13,15,17,19,23,27,31,35,43,51,59,67,83,99,115,131,163,195,227,258,0,0],a=[16,16,16,16,16,16,16,16,17,17,17,17,18,18,18,18,19,19,19,19,20,20,20,20,21,21,21,21,16,72,78],s=[1,2,3,4,5,7,9,13,17,25,33,49,65,97,129,193,257,385,513,769,1025,1537,2049,3073,4097,6145,8193,12289,16385,24577,0,0],o=[16,16,16,16,17,17,18,18,19,19,20,20,21,21,22,22,23,23,24,24,25,25,26,26,27,27,28,28,29,29,64,64];e.exports=function t(e,n,$,f,d,h,l,u){var c,_,x,p,m,g,b,v,w,B=u.bits,y=0,k=0,C=0,E=0,D=0,A=0,z=0,F=0,S=0,I=0,T=null,O=0,R=new r.Buf16(16),L=new r.Buf16(16),N=null,Z=0;for(y=0;y<=15;y++)R[y]=0;for(k=0;k<f;k++)R[n[$+k]]++;for(E=15,D=B;E>=1&&0===R[E];E--);if(D>E&&(D=E),0===E)return d[h++]=20971520,d[h++]=20971520,u.bits=1,0;for(C=1;C<E&&0===R[C];C++);for(D<C&&(D=C),F=1,y=1;y<=15;y++)if(F<<=1,(F-=R[y])<0)return -1;if(F>0&&(0===e||1!==E))return -1;for(y=1,L[1]=0;y<15;y++)L[y+1]=L[y]+R[y];for(k=0;k<f;k++)0!==n[$+k]&&(l[L[n[$+k]]++]=k);if(0===e?(T=N=l,g=19):1===e?(T=i,O-=257,N=a,Z-=257,g=256):(T=s,N=o,g=-1),I=0,k=0,y=C,m=h,A=D,z=0,x=-1,p=(S=1<<D)-1,1===e&&S>852||2===e&&S>592)return 1;for(var P=0;;){P++,b=y-z,l[k]<g?(v=0,w=l[k]):l[k]>g?(v=N[Z+l[k]],w=T[O+l[k]]):(v=96,w=0),c=1<<y-z,C=_=1<<A;do d[m+(I>>z)+(_-=c)]=b<<24|v<<16|w|0;while(0!==_);for(c=1<<y-1;I&c;)c>>=1;if(0!==c?(I&=c-1,I+=c):I=0,k++,0==--R[y]){if(y===E)break;y=n[$+l[k]]}if(y>D&&(I&p)!==x){for(0===z&&(z=D),m+=C,F=1<<(A=y-z);A+z<E&&!((F-=R[A+z])<=0);)A++,F<<=1;if(S+=1<<A,1===e&&S>852||2===e&&S>592)return 1;d[x=I&p]=D<<24|A<<16|m-h|0}}return 0!==I&&(d[m+I]=y-z<<24|4194304),u.bits=D,0}},{"../utils/common":27}],37:[function(t,e,n){"use strict";e.exports={2:"need dictionary",1:"stream end",0:"","-1":"file error","-2":"stream error","-3":"data error","-4":"insufficient memory","-5":"buffer error","-6":"incompatible version"}},{}],38:[function(t,e,n){"use strict";var r,i,a,s=t("../utils/common");function o(t){for(var e=t.length;--e>=0;)t[e]=0}var $=573,f=[0,0,0,0,0,0,0,0,1,1,1,1,2,2,2,2,3,3,3,3,4,4,4,4,5,5,5,5,0],d=[0,0,0,0,1,1,2,2,3,3,4,4,5,5,6,6,7,7,8,8,9,9,10,10,11,11,12,12,13,13],h=[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,3,7],l=[16,17,18,0,8,7,9,6,10,5,11,4,12,3,13,2,14,1,15],u=Array(576);o(u);var c=Array(60);o(c);var _=Array(512);o(_);var x=Array(256);o(x);var p=Array(29);o(p);var m=Array(30);o(m);var g=function(t,e,n,r,i){this.static_tree=t,this.extra_bits=e,this.extra_base=n,this.elems=r,this.max_length=i,this.has_stree=t&&t.length},b=function(t,e){this.dyn_tree=t,this.max_code=0,this.stat_desc=e};function v(t){return t<256?_[t]:_[256+(t>>>7)]}function w(t,e){t.pending_buf[t.pending++]=255&e,t.pending_buf[t.pending++]=e>>>8&255}function B(t,e,n){t.bi_valid>16-n?(t.bi_buf|=e<<t.bi_valid&65535,w(t,t.bi_buf),t.bi_buf=e>>16-t.bi_valid,t.bi_valid+=n-16):(t.bi_buf|=e<<t.bi_valid&65535,t.bi_valid+=n)}function y(t,e,n){B(t,n[2*e],n[2*e+1])}function k(t,e){var n=0;do n|=1&t,t>>>=1,n<<=1;while(--e>0);return n>>>1}function C(t,e,n){var r,i,a=Array(16),s=0;for(r=1;r<=15;r++)a[r]=s=s+n[r-1]<<1;for(i=0;i<=e;i++){var o=t[2*i+1];0!==o&&(t[2*i]=k(a[o]++,o))}}function E(t){var e;for(e=0;e<286;e++)t.dyn_ltree[2*e]=0;for(e=0;e<30;e++)t.dyn_dtree[2*e]=0;for(e=0;e<19;e++)t.bl_tree[2*e]=0;t.dyn_ltree[512]=1,t.opt_len=t.static_len=0,t.last_lit=t.matches=0}function D(t){t.bi_valid>8?w(t,t.bi_buf):t.bi_valid>0&&(t.pending_buf[t.pending++]=t.bi_buf),t.bi_buf=0,t.bi_valid=0}function A(t,e,n,r){var i=2*e,a=2*n;return t[i]<t[a]||t[i]===t[a]&&r[e]<=r[n]}function z(t,e,n){for(var r=t.heap[n],i=n<<1;i<=t.heap_len&&(i<t.heap_len&&A(e,t.heap[i+1],t.heap[i],t.depth)&&i++,!A(e,r,t.heap[i],t.depth));)t.heap[n]=t.heap[i],n=i,i<<=1;t.heap[n]=r}function F(t,e,n){var r,i,a,s,o=0;if(0!==t.last_lit)do r=t.pending_buf[t.d_buf+2*o]<<8|t.pending_buf[t.d_buf+2*o+1],i=t.pending_buf[t.l_buf+o],o++,0===r?y(t,i,e):(y(t,(a=x[i])+256+1,e),0!==(s=f[a])&&B(t,i-=p[a],s),y(t,a=v(--r),n),0!==(s=d[a])&&B(t,r-=m[a],s));while(o<t.last_lit);y(t,256,e)}function S(t,e){var n,r,i,a=e.dyn_tree,s=e.stat_desc.static_tree,o=e.stat_desc.has_stree,f=e.stat_desc.elems,d=-1;for(n=0,t.heap_len=0,t.heap_max=$;n<f;n++)0!==a[2*n]?(t.heap[++t.heap_len]=d=n,t.depth[n]=0):a[2*n+1]=0;for(;t.heap_len<2;)a[2*(i=t.heap[++t.heap_len]=d<2?++d:0)]=1,t.depth[i]=0,t.opt_len--,o&&(t.static_len-=s[2*i+1]);for(e.max_code=d,n=t.heap_len>>1;n>=1;n--)z(t,a,n);i=f;do n=t.heap[1],t.heap[1]=t.heap[t.heap_len--],z(t,a,1),r=t.heap[1],t.heap[--t.heap_max]=n,t.heap[--t.heap_max]=r,a[2*i]=a[2*n]+a[2*r],t.depth[i]=(t.depth[n]>=t.depth[r]?t.depth[n]:t.depth[r])+1,a[2*n+1]=a[2*r+1]=i,t.heap[1]=i++,z(t,a,1);while(t.heap_len>=2);t.heap[--t.heap_max]=t.heap[1],function t(e,n){var r,i,a,s,o,f,d=n.dyn_tree,h=n.max_code,l=n.stat_desc.static_tree,u=n.stat_desc.has_stree,c=n.stat_desc.extra_bits,_=n.stat_desc.extra_base,x=n.stat_desc.max_length,p=0;for(s=0;s<=15;s++)e.bl_count[s]=0;for(d[2*e.heap[e.heap_max]+1]=0,r=e.heap_max+1;r<$;r++)(s=d[2*d[2*(i=e.heap[r])+1]+1]+1)>x&&(s=x,p++),d[2*i+1]=s,!(i>h)&&(e.bl_count[s]++,o=0,i>=_&&(o=c[i-_]),f=d[2*i],e.opt_len+=f*(s+o),u&&(e.static_len+=f*(l[2*i+1]+o)));if(0!==p){do{for(s=x-1;0===e.bl_count[s];)s--;e.bl_count[s]--,e.bl_count[s+1]+=2,e.bl_count[x]--,p-=2}while(p>0);for(s=x;0!==s;s--)for(i=e.bl_count[s];0!==i;)!((a=e.heap[--r])>h)&&(d[2*a+1]!==s&&(e.opt_len+=(s-d[2*a+1])*d[2*a],d[2*a+1]=s),i--)}}(t,e),C(a,d,t.bl_count)}function I(t,e,n){var r,i,a=-1,s=e[1],o=0,$=7,f=4;for(0===s&&($=138,f=3),e[(n+1)*2+1]=65535,r=0;r<=n;r++)i=s,s=e[(r+1)*2+1],(!(++o<$)||i!==s)&&(o<f?t.bl_tree[2*i]+=o:0!==i?(i!==a&&t.bl_tree[2*i]++,t.bl_tree[32]++):o<=10?t.bl_tree[34]++:t.bl_tree[36]++,o=0,a=i,0===s?($=138,f=3):i===s?($=6,f=3):($=7,f=4))}function T(t,e,n){var r,i,a=-1,s=e[1],o=0,$=7,f=4;for(0===s&&($=138,f=3),r=0;r<=n;r++)if(i=s,s=e[(r+1)*2+1],!(++o<$)||i!==s){if(o<f)do y(t,i,t.bl_tree);while(0!=--o);else 0!==i?(i!==a&&(y(t,i,t.bl_tree),o--),y(t,16,t.bl_tree),B(t,o-3,2)):o<=10?(y(t,17,t.bl_tree),B(t,o-3,3)):(y(t,18,t.bl_tree),B(t,o-11,7));o=0,a=i,0===s?($=138,f=3):i===s?($=6,f=3):($=7,f=4)}}var O=!1;function R(t,e,n,r){var i,a,o,$;B(t,0+(r?1:0),3),i=t,a=e,o=n,$=!0,D(i),$&&(w(i,o),w(i,~o)),s.arraySet(i.pending_buf,i.window,a,o,i.pending),i.pending+=o}n._tr_init=function t(e){O||(function t(){var e,n,s,o,$,l=Array(16);for(o=0,s=0;o<28;o++)for(e=0,p[o]=s;e<1<<f[o];e++)x[s++]=o;for(x[s-1]=o,$=0,o=0;o<16;o++)for(e=0,m[o]=$;e<1<<d[o];e++)_[$++]=o;for($>>=7;o<30;o++)for(e=0,m[o]=$<<7;e<1<<d[o]-7;e++)_[256+$++]=o;for(n=0;n<=15;n++)l[n]=0;for(e=0;e<=143;)u[2*e+1]=8,e++,l[8]++;for(;e<=255;)u[2*e+1]=9,e++,l[9]++;for(;e<=279;)u[2*e+1]=7,e++,l[7]++;for(;e<=287;)u[2*e+1]=8,e++,l[8]++;for(C(u,287,l),e=0;e<30;e++)c[2*e+1]=5,c[2*e]=k(e,5);r=new g(u,f,257,286,15),i=new g(c,d,0,30,15),a=new g([],h,0,19,7)}(),O=!0),e.l_desc=new b(e.dyn_ltree,r),e.d_desc=new b(e.dyn_dtree,i),e.bl_desc=new b(e.bl_tree,a),e.bi_buf=0,e.bi_valid=0,E(e)},n._tr_stored_block=R,n._tr_flush_block=function t(e,n,r,i){var a,s,o=0;e.level>0?(2===e.strm.data_type&&(e.strm.data_type=function t(e){var n,r=4093624447;for(n=0;n<=31;n++,r>>>=1)if(1&r&&0!==e.dyn_ltree[2*n])return 0;if(0!==e.dyn_ltree[18]||0!==e.dyn_ltree[20]||0!==e.dyn_ltree[26])return 1;for(n=32;n<256;n++)if(0!==e.dyn_ltree[2*n])return 1;return 0}(e)),S(e,e.l_desc),S(e,e.d_desc),o=function t(e){var n;for(I(e,e.dyn_ltree,e.l_desc.max_code),I(e,e.dyn_dtree,e.d_desc.max_code),S(e,e.bl_desc),n=18;n>=3&&0===e.bl_tree[2*l[n]+1];n--);return e.opt_len+=3*(n+1)+5+5+4,n}(e),a=e.opt_len+3+7>>>3,(s=e.static_len+3+7>>>3)<=a&&(a=s)):a=s=r+5,r+4<=a&&-1!==n?R(e,n,r,i):4===e.strategy||s===a?(B(e,2+(i?1:0),3),F(e,u,c)):(B(e,4+(i?1:0),3),function t(e,n,r,i){var a;for(B(e,n-257,5),B(e,r-1,5),B(e,i-4,4),a=0;a<i;a++)B(e,e.bl_tree[2*l[a]+1],3);T(e,e.dyn_ltree,n-1),T(e,e.dyn_dtree,r-1)}(e,e.l_desc.max_code+1,e.d_desc.max_code+1,o+1),F(e,e.dyn_ltree,e.dyn_dtree)),E(e),i&&D(e)},n._tr_tally=function t(e,n,r){return e.pending_buf[e.d_buf+2*e.last_lit]=n>>>8&255,e.pending_buf[e.d_buf+2*e.last_lit+1]=255&n,e.pending_buf[e.l_buf+e.last_lit]=255&r,e.last_lit++,0===n?e.dyn_ltree[2*r]++:(e.matches++,n--,e.dyn_ltree[(x[r]+256+1)*2]++,e.dyn_dtree[2*v(n)]++),e.last_lit===e.lit_bufsize-1},n._tr_align=function t(e){var n;B(e,2,3),y(e,256,u),16===(n=e).bi_valid?(w(n,n.bi_buf),n.bi_buf=0,n.bi_valid=0):n.bi_valid>=8&&(n.pending_buf[n.pending++]=255&n.bi_buf,n.bi_buf>>=8,n.bi_valid-=8)}},{"../utils/common":27}],39:[function(t,e,n){"use strict";e.exports=function t(){this.input=null,this.next_in=0,this.avail_in=0,this.total_in=0,this.output=null,this.next_out=0,this.avail_out=0,this.total_out=0,this.msg="",this.state=null,this.data_type=2,this.adler=0}},{}]},{},[9])(9)});